% The different dimensionless parameters are defined as
% lambda= viscosity ratio
% R= electrical conductivity ratio
% S= dielectric permittivity ratio
% Ca= Capillary number
% ReE= electrical Reynolds number
% k=the physicochemical parameter (Pe/Ca)
% beta=eleasticity parameter
% theta= polar angle in radians

% Different terms in stream function expression at different orders of
% perturbation


% Leading Order constants for streamfunction

A0_1 = (1/2)*(2+3*lambda)*(-1+beta)/((1+lambda)*(3*beta*lambda-beta*k+2*beta-3*lambda-2));
A0_2=-9*M*(-1+beta)*(R-S)/((5*beta*lambda-beta*k+5*beta-5*lambda-5)*(R+2)^2);

B0_1 = -(1/2)*(2+3*lambda)*(-1+beta)/((1+lambda)*(3*beta*lambda-beta*k+2*beta-3*lambda-2));
B0_2=9*M*(-1+beta)*(R-S)/((5*beta*lambda-beta*k+5*beta-5*lambda-5)*(R+2)^2);


C0_1= -(1/2)*(2+3*lambda)/(1+lambda);
C0_2=-9*M*(-1+beta)*(R-S)/((5*beta*lambda-beta*k+5*beta-5*lambda-5)*(R+2)^2);

D0_1= (1/6)*(2+3*lambda)*(3*beta*lambda-beta*k-3*lambda)/((1+lambda)*(3*beta*lambda-beta*k+2*beta-3*lambda-2));
D0_2=9*M*(-1+beta)*(R-S)/((5*beta*lambda-beta*k+5*beta-5*lambda-5)*(R+2)^2);

% Order ReE constants for streamfunction

ARe_1 = (3/10)*(-6*R*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+12*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-12*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+6*R*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))/(3*R*beta-6+6*beta-3*R-3*lambda*R+6*lambda*beta+3*lambda*R*beta-6*lambda-k1*R*beta-2*k1*beta);
ARe_2 = (3/7)*M*(-(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)-(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)-(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)+(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)-(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)-(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)+(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)+(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)-(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta))/(5*R*beta-10+10*lambda*beta-5*lambda*R-5*R+10*beta+5*lambda*R*beta-10*lambda-k1*R*beta-2*k1*beta);
ARe_3 = (18/5)*M*(6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))/(7*R*beta-14+14*beta-7*R+14*lambda*beta-7*lambda*R+7*lambda*R*beta-14*lambda-k1*R*beta-2*k1*beta);
ARe_4 = (30/7)*M*((648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)+(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)-(648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)+(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)-(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)-(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3))/(9*R*beta-9*R-18+18*beta+9*lambda*R*beta-9*lambda*R+18*lambda*beta-18*lambda-k1*R*beta-2*k1*beta);

BRe_1 = -(3/10)*(-6*R*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+12*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-12*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+6*R*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))/(3*R*beta-6+6*beta-3*R-3*lambda*R+6*lambda*beta+3*lambda*R*beta-6*lambda-k1*R*beta-2*k1*beta);
BRe_2 = -(3/7)*M*(-(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)-(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)-(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)+(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)-(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)-(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)+(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)+(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+160*lambda*R*beta-160*R-120*lambda*R^2-16*k1*beta+120*R^2*beta-24*k1*R^2*beta-160*lambda*R-5*R^4-40*R^3+160*R*beta+80*lambda*beta-80*lambda+80*beta-R^4*k1*beta-8*k1*R^3*beta+40*lambda*R^3*beta+5*R^4*lambda*beta-32*k1*R*beta+120*lambda*R^2*beta-120*R^2-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta)-(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta))/(5*R*beta-10+10*lambda*beta-5*lambda*R-5*R+10*beta+5*lambda*R*beta-10*lambda-k1*R*beta-2*k1*beta);
BRe_3 = -(18/5)*M*(6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))/(7*R*beta-14+14*beta-7*R+14*lambda*beta-7*lambda*R+7*lambda*R*beta-14*lambda-k1*R*beta-2*k1*beta);
BRe_4 = -(30/7)*M*((648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)-(648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)+(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)-(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta)-(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+360*lambda*R*beta-360*R-300*lambda*R^2-32*k1*beta+300*R^2*beta-60*k1*R^2*beta-360*lambda*R-15*R^4-110*R^3+360*R*beta+160*lambda*beta-160*lambda+160*beta-3*R^4*k1*beta-22*k1*R^3*beta+110*lambda*R^3*beta+15*R^4*lambda*beta-72*k1*R*beta+300*lambda*R^2*beta-300*R^2-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta))/(9*R*beta-9*R-18+18*beta+9*lambda*R*beta-9*lambda*R+18*lambda*beta-18*lambda-k1*R*beta-2*k1*beta);

CRe_1 = (3/10)*(12*R*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-24*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+24*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-12*R*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-18*lambda*R*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+36*lambda*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+18*lambda*R*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-36*lambda*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-6*R*beta*k1*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-12*beta*k1*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))/(3*R*beta-6+6*beta-3*R-3*lambda*R+6*lambda*beta+3*lambda*R*beta-6*lambda-k1*R*beta-2*k1*beta);
CRe_2 = (3/7)*M*(-(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)+(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)+(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)-(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)-(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80-120*R^2-16*k1*beta-5*R^4-160*R+80*lambda*beta-160*lambda*R-80*lambda-32*k1*R*beta-40*lambda*R^3-120*lambda*R^2-5*R^4*lambda+40*R^3*beta+5*R^4*beta+120*R^2*beta+160*lambda*R*beta+160*R*beta+40*lambda*R^3*beta+120*lambda*R^2*beta-24*k1*R^2*beta+5*R^4*lambda*beta-R^4*k1*beta-8*k1*R^3*beta+80*beta-40*R^3)+(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80-120*R^2-16*k1*beta-5*R^4-160*R+80*lambda*beta-160*lambda*R-80*lambda-32*k1*R*beta-40*lambda*R^3-120*lambda*R^2-5*R^4*lambda+40*R^3*beta+5*R^4*beta+120*R^2*beta+160*lambda*R*beta+160*R*beta+40*lambda*R^3*beta+120*lambda*R^2*beta-24*k1*R^2*beta+5*R^4*lambda*beta-R^4*k1*beta-8*k1*R^3*beta+80*beta-40*R^3)-(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80-120*R^2-16*k1*beta-5*R^4-160*R+80*lambda*beta-160*lambda*R-80*lambda-32*k1*R*beta-40*lambda*R^3-120*lambda*R^2-5*R^4*lambda+40*R^3*beta+5*R^4*beta+120*R^2*beta+160*lambda*R*beta+160*R*beta+40*lambda*R^3*beta+120*lambda*R^2*beta-24*k1*R^2*beta+5*R^4*lambda*beta-R^4*k1*beta-8*k1*R^3*beta+80*beta-40*R^3)-(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80-120*R^2-16*k1*beta-5*R^4-160*R+80*lambda*beta-160*lambda*R-80*lambda-32*k1*R*beta-40*lambda*R^3-120*lambda*R^2-5*R^4*lambda+40*R^3*beta+5*R^4*beta+120*R^2*beta+160*lambda*R*beta+160*R*beta+40*lambda*R^3*beta+120*lambda*R^2*beta-24*k1*R^2*beta+5*R^4*lambda*beta-R^4*k1*beta-8*k1*R^3*beta+80*beta-40*R^3)+(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80-120*R^2-16*k1*beta-5*R^4-160*R+80*lambda*beta-160*lambda*R-80*lambda-32*k1*R*beta-40*lambda*R^3-120*lambda*R^2-5*R^4*lambda+40*R^3*beta+5*R^4*beta+120*R^2*beta+160*lambda*R*beta+160*R*beta+40*lambda*R^3*beta+120*lambda*R^2*beta-24*k1*R^2*beta+5*R^4*lambda*beta-R^4*k1*beta-8*k1*R^3*beta+80*beta-40*R^3)+(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3)+(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80-120*R^2-16*k1*beta-5*R^4-160*R+80*lambda*beta-160*lambda*R-80*lambda-32*k1*R*beta-40*lambda*R^3-120*lambda*R^2-5*R^4*lambda+40*R^3*beta+5*R^4*beta+120*R^2*beta+160*lambda*R*beta+160*R*beta+40*lambda*R^3*beta+120*lambda*R^2*beta-24*k1*R^2*beta+5*R^4*lambda*beta-R^4*k1*beta-8*k1*R^3*beta+80*beta-40*R^3)-(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-300*R^2-32*k1*beta-15*R^4-360*R+160*lambda*beta-360*lambda*R-160*lambda-72*k1*R*beta-110*lambda*R^3-300*lambda*R^2-15*R^4*lambda+110*R^3*beta+15*R^4*beta+300*R^2*beta+360*lambda*R*beta+360*R*beta+110*lambda*R^3*beta+300*lambda*R^2*beta-60*k1*R^2*beta+15*R^4*lambda*beta-3*R^4*k1*beta-22*k1*R^3*beta+160*beta-110*R^3))/(5*R*beta-10+10*lambda*beta-5*lambda*R-5*R+10*beta+5*lambda*R*beta-10*lambda-k1*R*beta-2*k1*beta);
CRe_3 = (18/5)*M*(6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))/(7*R*beta-14+14*beta-7*R+14*lambda*beta-7*lambda*R+7*lambda*R*beta-14*lambda-k1*R*beta-2*k1*beta);
CRe_4 = (30/7)*M*((648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)+(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)+(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta))/(9*R*beta-9*R-18+18*beta+9*lambda*R*beta-9*lambda*R+18*lambda*beta-18*lambda-k1*R*beta-2*k1*beta);

DRe_1 = -(1/10)*(54*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-54*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+54*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-54*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+18*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*lambda*R*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-12*beta*k1*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+36*lambda*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)+18*lambda*R*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-36*lambda*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2)-6*R*beta*k1*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(2*beta-2-3*lambda+3*lambda*beta-k1*beta)^2))/(3*R*beta-6+6*beta-3*R-3*lambda*R+6*lambda*beta+3*lambda*R*beta-6*lambda-k1*R*beta-2*k1*beta);
DRe_2 = -(3/7)*M*(-(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)+(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)+(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+120*lambda*R^2*beta-160*R-5*R^4-40*R^3+40*lambda*R^3*beta-R^4*k1*beta+5*R^4*lambda*beta-8*k1*R^3*beta-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta+160*lambda*R*beta+80*beta-80*lambda+160*R*beta-160*lambda*R-120*R^2-32*k1*R*beta-120*lambda*R^2-16*k1*beta+80*lambda*beta+120*R^2*beta-24*k1*R^2*beta)+(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+120*lambda*R^2*beta-160*R-5*R^4-40*R^3+40*lambda*R^3*beta-R^4*k1*beta+5*R^4*lambda*beta-8*k1*R^3*beta-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta+160*lambda*R*beta+80*beta-80*lambda+160*R*beta-160*lambda*R-120*R^2-32*k1*R*beta-120*lambda*R^2-16*k1*beta+80*lambda*beta+120*R^2*beta-24*k1*R^2*beta)-(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+120*lambda*R^2*beta-160*R-5*R^4-40*R^3+40*lambda*R^3*beta-R^4*k1*beta+5*R^4*lambda*beta-8*k1*R^3*beta-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta+160*lambda*R*beta+80*beta-80*lambda+160*R*beta-160*lambda*R-120*R^2-32*k1*R*beta-120*lambda*R^2-16*k1*beta+80*lambda*beta+120*R^2*beta-24*k1*R^2*beta)-(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+120*lambda*R^2*beta-160*R-5*R^4-40*R^3+40*lambda*R^3*beta-R^4*k1*beta+5*R^4*lambda*beta-8*k1*R^3*beta-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta+160*lambda*R*beta+80*beta-80*lambda+160*R*beta-160*lambda*R-120*R^2-32*k1*R*beta-120*lambda*R^2-16*k1*beta+80*lambda*beta+120*R^2*beta-24*k1*R^2*beta)+(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80+120*lambda*R^2*beta-160*R-5*R^4-40*R^3+40*lambda*R^3*beta-R^4*k1*beta+5*R^4*lambda*beta-8*k1*R^3*beta-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta+160*lambda*R*beta+80*beta-80*lambda+160*R*beta-160*lambda*R-120*R^2-32*k1*R*beta-120*lambda*R^2-16*k1*beta+80*lambda*beta+120*R^2*beta-24*k1*R^2*beta)+(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)+(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80+120*lambda*R^2*beta-160*R-5*R^4-40*R^3+40*lambda*R^3*beta-R^4*k1*beta+5*R^4*lambda*beta-8*k1*R^3*beta-40*lambda*R^3-5*R^4*lambda+40*R^3*beta+5*R^4*beta+160*lambda*R*beta+80*beta-80*lambda+160*R*beta-160*lambda*R-120*R^2-32*k1*R*beta-120*lambda*R^2-16*k1*beta+80*lambda*beta+120*R^2*beta-24*k1*R^2*beta)-(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta))/(5*R*beta-10+10*lambda*beta-5*lambda*R-5*R+10*beta+5*lambda*R*beta-10*lambda-k1*R*beta-2*k1*beta);
DRe_3 = -(18/5)*M*(6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*lambda*k1*R*beta-2*lambda*k1*R^2*beta-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))/(7*R*beta-14+14*beta-7*R+14*lambda*beta-7*lambda*R+7*lambda*R*beta-14*lambda-k1*R*beta-2*k1*beta);
DRe_4 = -(30/7)*M*((648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)+(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)+(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta)-(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160+300*lambda*R^2*beta-360*R-15*R^4-110*R^3+110*lambda*R^3*beta-3*R^4*k1*beta+15*R^4*lambda*beta-22*k1*R^3*beta-110*lambda*R^3-15*R^4*lambda+110*R^3*beta+15*R^4*beta+360*lambda*R*beta+160*beta-160*lambda+360*R*beta-360*lambda*R-300*R^2-72*k1*R*beta-300*lambda*R^2-32*k1*beta+160*lambda*beta+300*R^2*beta-60*k1*R^2*beta))/(9*R*beta-9*R-18+18*beta+9*lambda*R*beta-9*lambda*R+18*lambda*beta-18*lambda-k1*R*beta-2*k1*beta);

% Orde Ca terms of streamfunction

A_Ca_1 = -(3/40)*(2+3*lambda)*M*(120+936*S*beta*lambda+144*R-225*lambda*R^2*beta+360*beta^2+135*lambda^2*beta-40*S*k1*beta^3*lambda+11*lambda*k1*R^2*beta+80*S*beta^2*lambda*k1-36*R*beta^2*lambda*k1+18*lambda*R*k1*beta-40*S*lambda*k1*beta-22*lambda*beta^2*k1*R^2+11*lambda*beta^3*k1*R^2+18*lambda*R*beta^3*k1-4*k1^2*beta^3*R^2-16*k1^2*beta^3*R+44*k1*R^2*beta^3+11*k1*lambda*beta+360*R^2*beta^2+72*R*beta^3*k1+24*k1^2*beta^2*R-22*lambda*beta^2*k1+162*lambda*R+11*lambda*beta^3*k1+75*lambda-384*S-88*k1*R^2*beta^2+171*S*lambda^2+513*S*beta^2*lambda^2+486*R*beta^2*lambda-513*S*lambda^2*beta+72*k1*R*beta+243*lambda^2*R*beta-360*beta-120*beta^3-225*lambda*beta-81*lambda^2*R+384*S*beta^3+8*S*k1^2*beta-45*lambda^2+75*lambda*R^2+44*k1*R^2*beta-936*S*beta^2*lambda+225*lambda*R^2*beta^2-243*lambda^2*R*beta^2+135*lambda^2*R^2*beta-160*S*k1*beta-135*lambda^2*beta^2*R^2-162*lambda*R*beta^3+312*S*beta^3*lambda-171*S*beta^3*lambda^2+45*lambda^2*beta^3*R^2+81*lambda^2*R*beta^3-75*lambda*R^2*beta^3+1152*S*beta+44*k1*beta^3-4*k1^2*beta^3-88*k1*beta^2-312*S*lambda-75*lambda*beta^3-432*R*beta+44*k1*beta-360*R^2*beta-144*R*beta^3-120*R^2*beta^3-135*lambda^2*beta^2+4*k1^2*beta^2+120*R^2-45*lambda^2*R^2-486*lambda*R*beta-1152*S*beta^2+4*k1^2*beta^2*R^2-8*k1^2*R*beta+320*S*beta^2*k1-144*R*beta^2*k1+24*k1^2*S*beta^3+225*lambda*beta^2+432*R*beta^2+45*lambda^2*beta^3-160*k1*S*beta^3-32*k1^2*beta^2*S)/((1+lambda)*(-5-k1*beta+5*beta-5*lambda+5*lambda*beta)*(-2+2*beta-3*lambda+3*lambda*beta-k1*beta)^2*(R+2)^2);
A_Ca_2 = -(1431/700)*(((35/1431)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2*R^5+((lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*(lambda-(54/265)*k1+65/53)*M^2+(350/1431*(-(1/5)*k1+1+lambda))*(2/3+lambda)^2*k1^2)*(-(1/5)*k1+1+lambda)*R^4+(-(lambda-(1/3)*k1+2/3)^2*((253/265+S)*lambda^2+((-434/1325-(107/265)*S)*k1+(118/53)*S+437/265)*lambda+((54/1325)*S+16/1325)*k1^2+(-(119/265)*S-356/1325)*k1+(65/53)*S+44/53)*(1+lambda)^2*M^2+(1400/1431)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^3+(-(754/265)*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*((1049/754+S)*lambda^2+((-2221/3770-(826/1885)*S)*k1+(823/377)*S+692/377)*lambda+((22/377)*S+97/1885)*k1^2+(-(904/1885)*S-1489/3770)*k1+(410/377)*S+407/754)*M^2+(2800/1431)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^2+((19/5*((-730/1007+(3823/1007)*S+S^2)*lambda^2+((-(7877/5035)*S-(2086/5035)*S^2+290/1007)*k1+(6038/1007)*S+(2083/1007)*S^2-1340/1007)*lambda+((236/5035)*S^2-144/5035+(146/1007)*S)*k1^2+(-(2164/5035)*S^2+14/53-(6233/5035)*S)*k1-610/1007+(1040/1007)*S^2+(2359/1007)*S))*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*M^2+(2800/1431)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R-(2774/265*((S-5/19)*lambda^2+((145/1387-(2828/6935)*S)*k1+(2327/1387)*S-670/1387)*lambda+((268/6935)*S-72/6935)*k1^2+(-(2372/6935)*S+7/73)*k1+(976/1387)*S-305/1387))*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*S*M^2+(1120/1431)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*beta^4+(-(35/477*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2*R^5+(-(4*(lambda^3+(460/159-(1493/3180)*k1)*lambda^2+((859/15900)*k1^2+431/159-(2893/3180)*k1)*lambda+(811/15900)*k1^2+130/159-(341/795)*k1))*(lambda-(1/3)*k1+2/3)*(1+lambda)^2*M^2-(350/477*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^4+((4*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*((253/265+S)*lambda^3+((-(1493/3180)*S-1609/3975)*k1+(460/159)*S+1817/795)*lambda^2+((47/1590+(859/15900)*S)*k1^2+(-(2893/3180)*S-5089/7950)*k1+(431/159)*S+1534/795)*lambda+(1/795)*k1^3+(19/795+(811/15900)*S)*k1^2+(-(341/795)*S-1084/3975)*k1+88/159+(130/159)*S)*M^2-(1400/477*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^3+((3016/265*((1049/754+S)*lambda^3+((-(2801/5655)*S-1051/1560)*k1+(3223/1131)*S+3125/1131)*lambda^2+((653/9048+(773/11310)*S)*k1^2+(-(10661/11310)*S-40567/45240)*k1+(2876/1131)*S+3989/2262)*lambda+(-(1/1131)*S+1/1131)*k1^3+(437/9048+(346/5655)*S)*k1^2+(-(2381/5655)*S-3251/11310)*k1+(820/1131)*S+407/1131))*(lambda-(1/3)*k1+2/3)*(1+lambda)^2*M^2-(2800/477*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^2+(-(76/5*((-730/1007+(3823/1007)*S+S^2)*lambda^3+((-(109123/60420)*S-(7211/15105)*S^2+2035/6042)*k1+(25760/3021)*S+(8263/3021)*S^2-5480/3021)*lambda^2+(((1781/30210)*S^2-1157/30210+(12017/60420)*S)*k1^2+(3407/6042-(26411/30210)*S^2-(163739/60420)*S)*k1+(7286/3021)*S^2-4510/3021+(19153/3021)*S)*lambda-(1/3021)*S*(S-4)*k1^3+((8993/60420)*S-953/30210+(787/15105)*S^2)*k1^2+(704/3021-(15247/15105)*S-(5846/15105)*S^2)*k1+(2080/3021)*S^2-1220/3021+(4718/3021)*S))*(lambda-(1/3)*k1+2/3)*(1+lambda)^2*M^2-(2800/477*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R+(11096/265*((S-5/19)*lambda^3+((-(19661/41610)*S+2035/16644)*k1-2740/4161+(9755/4161)*S)*lambda^2+(((1094/20805)*S-1157/83220)*k1^2+(-(30793/41610)*S+3407/16644)*k1+(7582/4161)*S-2255/4161)*lambda+(1/4161)*S*k1^3+((851/20805)*S-953/83220)*k1^2+(-(5998/20805)*S+352/4161)*k1+(1952/4161)*S-610/4161))*(lambda-(1/3)*k1+2/3)*(1+lambda)^2*S*M^2-(1120/477*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*beta^3+(6*((35/2862)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2*R^5+((1+lambda)*(lambda^4+(566/159-(851/1590)*k1)*lambda^3+((5021/71550)*k1^2+2213/477-(1391/954)*k1)*lambda^2+(1252/477+(4654/35775)*k1^2-(3083/2385)*k1)*lambda-(296/795)*k1+260/477+(469/7950)*k1^2)*M^2+(175/1431)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^4+(-(1+lambda)*((253/265+S)*lambda^4+((-1916/3975-(851/1590)*S)*k1+(566/159)*S+2323/795)*lambda^3+((3653/71550+(5021/71550)*S)*k1^2+(-(1391/954)*S-13291/11925)*k1+(2213/477)*S+8236/2385)*lambda^2+((4/2385)*k1^3+((4654/35775)*S+641/7950)*k1^2+(-1186/1325-(3083/2385)*S)*k1+4388/2385+(1252/477)*S)*lambda+(8/7155)*k1^3+((469/7950)*S+1214/35775)*k1^2+(-2912/11925-(296/795)*S)*k1+(260/477)*S+176/477)*M^2+(700/1431)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^3+(-(754/265*((1049/754+S)*lambda^4+((-(3124/5655)*S-17153/22620)*k1+(3977/1131)*S+4174/1131)*lambda^3+((19597/203580+(8191/101790)*S)*k1^2+(-102553/67860-(25139/16965)*S)*k1+24467/6786+(15074/3393)*S)*lambda^2+((-(4/3393)*S+4/3393)*k1^3+(4351/33930+(1627/11310)*S)*k1^2+(-(2384/1885)*S-383/390)*k1+5210/3393+(8212/3393)*S)*lambda+(8/10179-(8/10179)*S)*k1^3+(8447/203580+(241/3915)*S)*k1^2+(-(5908/16965)*S-3524/16965)*k1+814/3393+(1640/3393)*S))*(1+lambda)*M^2+(1400/1431)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^2+((19/5*((-730/1007+(3823/1007)*S+S^2)*lambda^4+((1165/3021-(61861/30210)*S-(8164/15105)*S^2)*k1-6940/3021+(33406/3021)*S+(10277/3021)*S^2)*lambda^3+(((4007/54378)*S^2+(71507/271890)*S-6823/135945)*k1^2+(-(63569/45315)*S^2-(408221/90630)*S+443/477)*k1+(38384/9063)*S^2-24490/9063+(108979/9063)*S)*lambda^2+(-(4/9063)*S*(S-4)*k1^3+(-11104/135945+(41/318)*S^2+(17656/45315)*S)*k1^2+(-(5954/5035)*S^2+6686/9063-(49639/15105)*S)*k1+(52460/9063)*S-12680/9063+(20812/9063)*S^2)*lambda-(8/27189)*S*(S-4)*k1^3+((1496/27189)*S^2+(2053/14310)*S-497/15105)*k1^2+(584/3021-(14728/45315)*S^2-(36056/45315)*S)*k1+(9436/9063)*S-2440/9063+(4160/9063)*S^2))*(1+lambda)*M^2+(1400/1431)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R-(2774/265*((S-5/19)*lambda^4+((1165/8322-(11177/20805)*S)*k1+(12529/4161)*S-3470/4161)*lambda^3+(((5191/74898)*S-6823/374490)*k1^2+(-(76417/62415)*S+443/1314)*k1+(2224/657)*S-12245/12483)*lambda^2+((4/12483)*S*k1^3+((887/8322)*S-5552/187245)*k1^2+(-(338/365)*S+3343/12483)*k1+(21020/12483)*S-6340/12483)*lambda+(8/37449)*S*k1^3+(-497/41610+(1528/37449)*S)*k1^2+(-(14504/62415)*S+4/57)*k1-1220/12483+(3904/12483)*S))*(1+lambda)*S*M^2+(560/1431)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2))*(1+lambda)*beta^2-(4*((35/5724*(2/3+lambda))*k1^2*R^5+((lambda^3+(-(851/3180)*k1+460/159)*lambda^2+(431/159-(1751/3180)*k1)*lambda+130/159-(74/265)*k1)*M^2+(175/2862*(2/3+lambda))*k1^2)*R^4+(((-S-253/265)*lambda^3+(((851/3180)*S+958/3975)*k1-(460/159)*S-1817/795)*lambda^2+((1/265)*k1^2+((1751/3180)*S+1051/2650)*k1-(431/159)*S-1534/795)*lambda+(2/795)*k1^2+(728/3975+(74/265)*S)*k1-88/159-(130/159)*S)*M^2+(350/1431*(2/3+lambda))*k1^2)*R^3+(((-(754/265)*S-1049/265)*lambda^3+((17153/15900+(3124/3975)*S)*k1-1250/159-(6446/795)*S)*lambda^2+((2/265-(2/265)*S)*k1^2+((2099/1325)*S+7583/5300)*k1-3989/795-(5752/795)*S)*lambda+(4/795-(4/795)*S)*k1^2+(1762/3975+(2954/3975)*S)*k1-814/795-(328/159)*S)*M^2+(700/1431*(2/3+lambda))*k1^2)*R^2+((((19/5)*S^2+(3823/265)*S-146/53)*lambda^3+((233/318-(4082/3975)*S^2-(61861/15900)*S)*k1+(5152/159)*S-1096/159+(8263/795)*S^2)*lambda^2+((1/265)*S*(S-4)*k1^2+(-(5249/2650)*S^2+2029/1590-(31611/5300)*S)*k1-902/159+(7286/795)*S^2+(19153/795)*S)*lambda+(2/795)*S*(S-4)*k1^2+(-(3682/3975)*S^2+146/265-(9014/3975)*S)*k1-244/159+(416/159)*S^2+(4718/795)*S)*M^2+(700/1431*(2/3+lambda))*k1^2)*R-(2774/265*((S-5/19)*lambda^3+((-(11177/41610)*S+1165/16644)*k1-2740/4161+(9755/4161)*S)*lambda^2+(-(1/1387)*k1^2*S+(2029/16644-(6007/13870)*S)*k1+(7582/4161)*S-2255/4161)*lambda-(2/4161)*k1^2*S+(1/19-(3626/20805)*S)*k1+(1952/4161)*S-610/4161))*S*M^2+(280/1431*(2/3+lambda))*k1^2))*(2/3+lambda)*(1+lambda)^2*beta+(R-S)*(2/3+lambda)^2*((65/53+lambda)*R-122/53-(146/53)*lambda)*((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*S+1)*lambda-(16/5)*S+1)*M^2*(1+lambda)^2)*(-1+beta)/((R+2)^5*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2*(1+lambda)^2*((-(1/5)*k1+1+lambda)*beta-1-lambda)^3);
A_Ca_3 = (9/14)*((((9/5)*R+R^2+1-(19/5)*S)*lambda^2+((2-(1/2)*k1)*R^2+(-(47/50)*k1+3)*R+((97/50)*S-1/2)*k1-7*S+2)*lambda+((3/50)*k1^2+1-(1/2)*k1)*R^2+(-(19/25)*k1+(9/25)*k1^2+6/5)*R+(3/50-(12/25)*S)*k1^2+(-1/2+(44/25)*S)*k1+1-(16/5)*S)*beta^2+(((38/5)*S-2*R^2-2-(18/5)*R)*lambda^2+(((1/2)*k1-4)*R^2+((47/50)*k1-6)*R+(-(97/50)*S+1/2)*k1+14*S-4)*lambda+((1/2)*k1-2)*R^2+((19/25)*k1-12/5-(6/25)*k1^2)*R+(6/25)*k1^2*S+(1/2-(44/25)*S)*k1-2+(32/5)*S)*beta+(1+lambda)*(((9/5)*R+R^2+1-(19/5)*S)*lambda-(16/5)*S+1+(6/5)*R+R^2))*(2/3+lambda)*M*(-1+beta)/((R+2)^2*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)*((1+lambda-(1/7)*k1)*beta-lambda-1)*(1+lambda)*((-(1/5)*k1+1+lambda)*beta-1-lambda));
A_Ca_4 = -(9/5)*(((-(1/5)*k1+1+lambda)*(1+lambda-(3/14)*k1)*R^2+((9/5)*lambda^2+(-(11/14)*k1+3)*lambda+6/5+(1/7)*k1^2-(23/35)*k1)*R+(-(19/5)*lambda^2+((113/70)*k1-7)*lambda-16/5-(8/35)*k1^2+(52/35)*k1)*S+(-(1/5)*k1+1+lambda)*(1+lambda-(3/14)*k1))*beta^2+(-(2*(1+lambda-(29/140)*k1))*(1+lambda)*R^2+(-(18/5)*lambda^2+(-6+(11/14)*k1)*lambda-12/5-(2/35)*k1^2+(23/35)*k1)*R+((38/5)*lambda^2+(-(113/70)*k1+14)*lambda+32/5-(52/35)*k1+(2/35)*k1^2)*S-(2*(1+lambda-(29/140)*k1))*(1+lambda))*beta+(1+lambda)*((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*lambda-16/5)*S+1+lambda))*(R-S)*M^2*(-1+beta)/((R+2)^4*((-(1/9)*k1+lambda+1)*beta-1-lambda)*((-(1/5)*k1+1+lambda)*beta-1-lambda)^2);


B_Ca_1 = (3/8)*M*(2/3+lambda)*(((-(1/5)*k1+1+lambda)*(lambda-4/3+(2/15)*k1)*R^2+((9/5)*lambda^2+(-(4/25)*k1-6/5)*lambda+(52/75)*k1-(4/25)*k1^2-8/5)*R+(-(19/5)*S+1)*lambda^2+(((22/75)*S-1/15)*k1-1/3+(28/15)*S)*lambda+(-2/75+(16/75)*S)*k1^2+(2/5-(112/75)*S)*k1+(64/15)*S-4/3)*beta^2+((-2*lambda^2+((1/15)*k1+2/3)*lambda-(2/5)*k1+8/3)*R^2+(-(18/5)*lambda^2+(12/5+(4/25)*k1)*lambda+(8/75)*k1^2-(52/75)*k1+16/5)*R+(-2+(38/5)*S)*lambda^2+((1/15-(22/75)*S)*k1+2/3-(56/15)*S)*lambda-(8/75)*k1^2*S+(-2/5+(112/75)*S)*k1+8/3-(128/15)*S)*beta+((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*S+1)*lambda-(16/5)*S+1)*(lambda-4/3))*(-1+beta)/(((-(1/5)*k1+1+lambda)*beta-1-lambda)*(R+2)^2*(1+lambda)*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2);
B_Ca_2 = (243/100)*(((5/243)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2*R^5+((lambda-(1/3)*k1+2/3)^2*(lambda-(64/315)*k1+25/21)*(1+lambda)^2*M^2+(50/243*(-(1/5)*k1+1+lambda))*(2/3+lambda)^2*k1^2)*(-(1/5)*k1+1+lambda)*R^4+(-(lambda-(1/3)*k1+2/3)^2*((S+1/5)*lambda^2+((-44/1575-(127/315)*S)*k1+29/105+(46/21)*S)*lambda+(-8/525+(64/1575)*S)*k1^2+(4/1575-(139/315)*S)*k1+(25/21)*S+4/21)*(1+lambda)^2*M^2+(200/243)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^3+(-(18/5)*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*((S+13/18)*lambda^2+((-1741/5670-(1216/2835)*S)*k1+164/189+(391/189)*S)*lambda+(8/315+(10/189)*S)*k1^2+(-1069/5670-(1264/2835)*S)*k1+(190/189)*S+79/378)*M^2+(400/243)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^2+((19/5)*(lambda-(1/3)*k1+2/3)^2*((-10/19+(51/19)*S+S^2)*lambda^2+((-(6617/5985)*S-(2476/5985)*S^2+250/1197)*k1+(1646/399)*S+(811/399)*S^2-20/21)*lambda+((92/1995)*S^2-124/5985+(40/399)*S)*k1^2+(-(2524/5985)*S^2+226/1197-(5093/5985)*S)*k1-170/399+(400/399)*S^2+(89/57)*S)*(1+lambda)^2*M^2+(400/243)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R-(38/5*((S-5/19)*lambda^2+((-(2438/5985)*S+125/1197)*k1-10/21+(659/399)*S)*lambda+(-62/5985+(4/105)*S)*k1^2+(-(2012/5985)*S+113/1197)*k1-85/399+(272/399)*S))*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*S*M^2+(160/243)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*beta^4+(-(5/81*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2*R^5+(-(4*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*(lambda^3+(-(197/420)*k1+20/7)*lambda^2+(-(377/420)*k1+167/63+(1019/18900)*k1^2)*lambda+50/63-(44/105)*k1+(317/6300)*k1^2)*M^2-(50/81*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^4+((4*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*((S+1/5)*lambda^3+((-19/350-(197/420)*S)*k1+(20/7)*S+43/105)*lambda^2+((-8/945+(1019/18900)*S)*k1^2+(-61/1050-(377/420)*S)*k1+118/315+(167/63)*S)*lambda+(1/945)*k1^3+(-1/135+(317/6300)*S)*k1^2+(-16/525-(44/105)*S)*k1+(50/63)*S+8/63)*M^2-(200/81*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^3+((72/5*((S+13/18)*lambda^3+((-(923/1890)*S-2651/7560)*k1+85/63+(517/189)*S)*lambda^2+(((544/8505)*S+71/1944)*k1^2+(-(563/630)*S-3323/7560)*k1+893/1134+(1352/567)*S)*lambda+(-(1/1701)*S+1/1701)*k1^3+((68/1215)*S+313/13608)*k1^2+(-(41/105)*S-122/945)*k1+79/567+(380/567)*S))*(lambda-(1/3)*k1+2/3)*(1+lambda)^2*M^2-(400/81*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^2+(-(76/5*(lambda-(1/3)*k1+2/3))*((-10/19+(51/19)*S+S^2)*lambda^3+((-(10187/7980)*S-(1903/3990)*S^2+65/266)*k1-520/399+(2360/399)*S+(359/133)*S^2)*lambda^2+((-997/35910+(9977/71820)*S+(1048/17955)*S^2)*k1^2+(-(263/140)*S-(181/210)*S^2+17/42)*k1-1270/1197+(5161/1197)*S+(2822/1197)*S^2)*lambda-(1/3591)*S*(S-4)*k1^3+((131/2565)*S^2+(7333/71820)*S-271/11970)*k1^2+(22/133-(24/35)*S-(754/1995)*S^2)*k1-340/1197+(178/171)*S+(800/1197)*S^2)*(1+lambda)^2*M^2-(400/81*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R+(152/5*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*((S-5/19)*lambda^3+((-(314/665)*S+65/532)*k1+(925/399)*S-260/399)*lambda^2+((-997/71820+(1873/35910)*S)*k1^2+(-(2917/3990)*S+17/84)*k1+(2134/1197)*S-635/1197)*lambda+(1/3591)*S*k1^3+((103/2565)*S-271/23940)*k1^2+(11/133-(562/1995)*S)*k1-170/1197+(544/1197)*S)*S*M^2-(160/81*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*beta^3+(6*(1+lambda))*((5/486)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2*R^5+((lambda^4+(74/21-(337/630)*k1)*lambda^3+(-(545/378)*k1+41/9+(1987/28350)*k1^2)*lambda^2+((5464/42525)*k1^2+484/189-(3593/2835)*k1)*lambda+(1637/28350)*k1^2+100/189-(1028/2835)*k1)*(1+lambda)*M^2+(25/243)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^4+(-((S+1/5)*lambda^4+((-(337/630)*S-127/1575)*k1+19/35+(74/21)*S)*lambda^3+((1/28350+(1987/28350)*S)*k1^2+(-727/4725-(545/378)*S)*k1+(41/9)*S+68/105)*lambda^2+((4/2835)*k1^3+(-181/85050+(5464/42525)*S)*k1^2+(-262/2025-(3593/2835)*S)*k1+(484/189)*S+356/945)*lambda+(8/8505)*k1^3+(2/6075+(1637/28350)*S)*k1^2+(-592/14175-(1028/2835)*S)*k1+16/189+(100/189)*S)*(1+lambda)*M^2+(100/243)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^3+(-(18/5*(1+lambda))*((S+13/18)*lambda^4+((-4471/11340-(1553/2835)*S)*k1+346/189+(643/189)*S)*lambda^3+((5039/102060+(3947/51030)*S)*k1^2+(-(12083/8505)*S-25471/34020)*k1+(2386/567)*S+1913/1134)*lambda^2+((-(4/5103)*S+4/5103)*k1^3+(9533/153090+(20593/153090)*S)*k1^2+(-23291/51030-(4328/3645)*S)*k1+(3844/1701)*S+1130/1701)*lambda+(8/15309-(8/15309)*S)*k1^3+((619/10935)*S+5717/306180)*k1^2+(-(8228/25515)*S-322/3645)*k1+(760/1701)*S+158/1701)*M^2+(200/243)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^2+((19/5*((-10/19+(51/19)*S+S^2)*lambda^4+((-(3233/5985)*S^2-(17327/11970)*S+335/1197)*k1+(1343/399)*S^2-220/133+(3074/399)*S)*lambda^3+(((19909/107730)*S+(1579/21546)*S^2-1961/53865)*k1^2+(-(24893/17955)*S^2+2399/3591-(112547/35910)*S)*k1+(4976/1197)*S^2-110/57+(9881/1197)*S)*lambda^2+(-(4/10773)*S*(S-4)*k1^3+(-9484/161595+(6214/23085)*S+(8201/64638)*S^2)*k1^2+(5666/10773-(8918/7695)*S^2-(121207/53865)*S)*k1+(8044/3591)*S^2+(740/189)*S-3560/3591)*lambda-(8/32319)*S*(S-4)*k1^3+((31477/323190)*S-1261/53865+(248/4617)*S^2)*k1^2+(1472/10773-(17048/53865)*S^2-(28876/53865)*S)*k1+(1600/3591)*S^2-680/3591+(356/513)*S))*(1+lambda)*M^2+(200/243)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R-(38/5*((S-5/19)*lambda^4+((-(3214/5985)*S+335/2394)*k1-110/133+(397/133)*S)*lambda^3+((-1961/107730+(1487/21546)*S)*k1^2+(2399/7182-(21769/17955)*S)*k1+(1328/399)*S-55/57)*lambda^2+((4/10773)*S*k1^3+(-4742/161595+(6793/64638)*S)*k1^2+(2833/10773-(6994/7695)*S)*k1+(5900/3591)*S-1780/3591)*lambda+(8/32319)*S*k1^3+((184/4617)*S-1261/107730)*k1^2+(-(12184/53865)*S+736/10773)*k1-340/3591+(1088/3591)*S))*(1+lambda)*S*M^2+(80/243)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*beta^2-4*(1+lambda)^2*(2/3+lambda)*((5/972*(2/3+lambda))*k1^2*R^5+((lambda^3+(-(337/1260)*k1+20/7)*lambda^2+(-(293/540)*k1+167/63)*lambda-(257/945)*k1+50/63)*M^2+(25/486*(2/3+lambda))*k1^2)*R^4+(((-S-1/5)*lambda^3+((127/3150+(337/1260)*S)*k1-(20/7)*S-43/105)*lambda^2+((1/315)*k1^2+((293/540)*S+473/9450)*k1-(167/63)*S-118/315)*lambda+(2/945)*k1^2+(148/4725+(257/945)*S)*k1-8/63-(50/63)*S)*M^2+(50/243*(2/3+lambda))*k1^2)*R^3+(((-(18/5)*S-13/5)*lambda^3+(((1553/1575)*S+4471/6300)*k1-34/7-(1034/105)*S)*lambda^2+((2/315-(2/315)*S)*k1^2+(16529/18900+(8977/4725)*S)*k1-893/315-(2704/315)*S)*lambda+(4/945-(4/945)*S)*k1^2+((4114/4725)*S+161/675)*k1-(152/63)*S-158/315)*M^2+(100/243*(2/3+lambda))*k1^2)*R^2+((((19/5)*S^2+(51/5)*S-2)*lambda^3+((-(3233/3150)*S^2+67/126-(17327/6300)*S)*k1-104/21+(359/35)*S^2+(472/21)*S)*lambda^2+((1/315)*S*(S-4)*k1^2+(-(77893/18900)*S-(18427/9450)*S^2+247/270)*k1-254/63+(5161/315)*S+(2822/315)*S^2)*lambda+(2/945)*S*(S-4)*k1^2+(-(7219/4725)*S+368/945-(4262/4725)*S^2)*k1+(160/63)*S^2+(178/45)*S-68/63)*M^2+(100/243*(2/3+lambda))*k1^2)*R-(38/5*((S-5/19)*lambda^3+((-(1607/5985)*S+335/4788)*k1+(925/399)*S-260/399)*lambda^2+(-(1/1197)*k1^2*S+(13/108-(15341/35910)*S)*k1+(2134/1197)*S-635/1197)*lambda-(2/3591)*k1^2*S+(184/3591-(3046/17955)*S)*k1-170/1197+(544/1197)*S))*S*M^2+(40/243*(2/3+lambda))*k1^2)*beta+((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*S+1)*lambda-(16/5)*S+1)*((25/21+lambda)*R-34/21-2*lambda)*(R-S)*(1+lambda)^2*(2/3+lambda)^2*M^2)*(-1+beta)/((R+2)^5*((-(1/5)*k1+1+lambda)*beta-1-lambda)^3*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2*(1+lambda)^2);
B_Ca_3 = -(54/35)*(2/3+lambda)*(-1+beta)*((((9/5)*R+R^2+1-(19/5)*S)*lambda^2+((-(49/120)*k1+2)*R^2+(3-(31/40)*k1)*R+((191/120)*S-49/120)*k1+2-7*S)*lambda+(1-(49/120)*k1+(1/24)*k1^2)*R^2+(-(13/20)*k1+(11/60)*k1^2+6/5)*R+(-(4/15)*S+1/24)*k1^2+((22/15)*S-49/120)*k1+1-(16/5)*S)*beta^2+(((38/5)*S-2*R^2-2-(18/5)*R)*lambda^2+((-4+(49/120)*k1)*R^2+((31/40)*k1-6)*R+(-(191/120)*S+49/120)*k1+14*S-4)*lambda+((49/120)*k1-2)*R^2+(-12/5+(13/20)*k1-(1/10)*k1^2)*R+(1/10)*k1^2*S+(-(22/15)*S+49/120)*k1+(32/5)*S-2)*beta+(1+lambda)*(((9/5)*R+R^2+1-(19/5)*S)*lambda-(16/5)*S+1+(6/5)*R+R^2))*M/(((-(1/5)*k1+1+lambda)*beta-1-lambda)*(R+2)^2*((1+lambda-(1/7)*k1)*beta-lambda-1)*(1+lambda)*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda));
B_Ca_4 = (144/35)*(((-(1/5)*k1+1+lambda)*(lambda-(5/32)*k1+1)*R^2+((9/5)*lambda^2+(-(109/160)*k1+3)*lambda+(7/80)*k1^2+6/5-(47/80)*k1)*R+(-(19/5)*lambda^2+(-7+(223/160)*k1)*lambda-16/5-(3/20)*k1^2+(13/10)*k1)*S+(-(1/5)*k1+1+lambda)*(lambda-(5/32)*k1+1))*beta^2+(-(2*(1+lambda))*(lambda+1-(57/320)*k1)*R^2+(-(18/5)*lambda^2+(-6+(109/160)*k1)*lambda-12/5-(1/40)*k1^2+(47/80)*k1)*R+((38/5)*lambda^2+(14-(223/160)*k1)*lambda-(13/10)*k1+(1/40)*k1^2+32/5)*S-(2*(1+lambda))*(lambda+1-(57/320)*k1))*beta+(1+lambda)*((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*lambda-16/5)*S+1+lambda))*(R-S)*(-1+beta)*M^2/((R+2)^4*((-(1/5)*k1+1+lambda)*beta-1-lambda)^2*((-(1/9)*k1+lambda+1)*beta-1-lambda));


C_Ca_1 = 0;
C_Ca_2 = -(1053/350)*(((35/2106)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2*R^5+((1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*(lambda+15/13-(79/390)*k1)*M^2+(175/1053*(-(1/5)*k1+1+lambda))*(2/3+lambda)^2*k1^2)*(-(1/5)*k1+1+lambda)*R^4+(-((-37/65+S)*lambda^2+((-(157/390)*S+541/1950)*k1-73/65+(28/13)*S)*lambda+(-14/325+(79/1950)*S)*k1^2+(272/975-(13/30)*S)*k1-6/13+(15/13)*S)*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*M^2+(700/1053)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^3+(-(284/65)*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*((79/284+S)*lambda^2+((-(1801/4260)*S-1021/8520)*k1+16/71+(283/142)*S)*lambda+(23/2840+(7/142)*S)*k1^2+(-439/8520-(451/1065)*S)*k1-3/284+(135/142)*S)*M^2+(1400/1053)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^2+((19/5)*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*((-80/247+(383/247)*S+S^2)*lambda^2+((-(4727/7410)*S-(3061/7410)*S^2+5/39)*k1+(548/247)*S+(493/247)*S^2-140/247)*lambda+((56/1235)*S^2-47/3705+(27/494)*S)*k1^2+(-(1532/3705)*S^2+83/741-(3383/7410)*S)*k1-60/247+(240/247)*S^2+(189/247)*S)*M^2+(1400/1053)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R-(304/65*((S-5/19)*lambda^2+((-(1853/4560)*S+5/48)*k1-35/76+(121/76)*S)*lambda+(-47/4560+(7/190)*S)*k1^2+(83/912-(92/285)*S)*k1-15/76+(12/19)*S))*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*S*M^2+(560/1053)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*beta^4+(-(35/702*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2*R^5+(-4*(1+lambda)^2*(lambda^3+(-(731/1560)*k1+110/39)*lambda^2+(-(1381/1560)*k1+101/39+(1259/23400)*k1^2)*lambda+(129/2600)*k1^2+10/13-(319/780)*k1)*(lambda-(1/3)*k1+2/3)*M^2-(175/351*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^4+(4*(1+lambda)^2*((-37/65+S)*lambda^3+((-(731/1560)*S+2363/7800)*k1-293/195+(110/39)*S)*lambda^2+((-17/360+(1259/23400)*S)*k1^2+(2087/3900-(1381/1560)*S)*k1+(101/39)*S-236/195)*lambda+(1/1170)*k1^3+(-23/585+(129/2600)*S)*k1^2+(211/975-(319/780)*S)*k1+(10/13)*S-4/13)*(lambda-(1/3)*k1+2/3)*M^2-(700/351*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^3+((1136/65*((79/284+S)*lambda^3+((-(8243/17040)*S-4643/34080)*k1+175/426+(1133/426)*S)*lambda^2+((263/20448+(3121/51120)*S)*k1^2+(-(7337/8520)*S-4639/34080)*k1+119/852+(971/426)*S)*lambda+(-(1/2556)*S+1/2556)*k1^3+(127/20448+(671/12780)*S)*k1^2+(-409/17040-(1577/4260)*S)*k1+(45/71)*S-1/142))*(1+lambda)^2*(lambda-(1/3)*k1+2/3)*M^2-(1400/351*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R^2+(-(76/5*((-80/247+(383/247)*S+S^2)*lambda^3+((-(21841/29640)*S+445/2964-(14123/29640)*S^2)*k1-580/741+(1973/741)*S^2+(2410/741)*S)*lambda^2+(((5137/88920)*S^2-757/44460+(6917/88920)*S)*k1^2+(-(12587/14820)*S^2+719/2964-(2351/2280)*S)*k1-460/741+(1663/741)*S+(1706/741)*S^2)*lambda-(1/4446)*S*(S-4)*k1^3+(-67/4940+(556/11115)*S^2+(4843/88920)*S)*k1^2+(11/114-(1366/3705)*S^2-(5273/14820)*S)*k1-40/247+(160/247)*S^2+(126/247)*S))*(1+lambda)^2*(lambda-(1/3)*k1+2/3)*M^2-(1400/351*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*R+(1216/65)*(1+lambda)^2*(lambda-(1/3)*k1+2/3)*S*((S-5/19)*lambda^3+((445/3648-(8599/18240)*S)*k1-145/228+(515/228)*S)*lambda^2+((-757/54720+(2801/54720)*S)*k1^2+(719/3648-(6481/9120)*S)*k1+(193/114)*S-115/228)*lambda+(1/2736)*S*k1^3+((263/6840)*S-67/6080)*k1^2+(-(4/15)*S+143/1824)*k1-5/38+(8/19)*S)*M^2-(560/351*(lambda-(1/15)*k1+1))*(-(1/5)*k1+1+lambda)*(2/3+lambda)^2*k1^2)*beta^3+(6*((35/4212)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2*R^5+((1+lambda)*(lambda^4+(-(139/260)*k1+136/39)*lambda^3+((7/100)*k1^2+523/117-(667/468)*k1)*lambda^2+(-(2179/1755)*k1+(6679/52650)*k1^2+292/117)*lambda+20/39-(619/1755)*k1+(991/17550)*k1^2)*M^2+(175/2106)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^4+(-(1+lambda)*((-37/65+S)*lambda^4+((-(139/260)*S+427/1300)*k1+(136/39)*S-367/195)*lambda^3+((-152/2925+(7/100)*S)*k1^2+(2414/2925-(667/468)*S)*k1-1294/585+(523/117)*S)*lambda^2+((2/1755)*k1^3+((6679/52650)*S-4553/52650)*k1^2+(5713/8775-(2179/1755)*S)*k1+(292/117)*S-652/585)*lambda+(4/5265)*k1^3+((991/17550)*S-893/26325)*k1^2+(1444/8775-(619/1755)*S)*k1-8/39+(20/39)*S)*M^2+(350/1053)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^3+(-(284/65*(1+lambda))*((79/284+S)*lambda^4+((-(1547/2840)*S-867/5680)*k1+127/213+(1417/426)*S)*lambda^3+((311/17040+(481/6390)*S)*k1^2+(-(8819/6390)*S-12401/51120)*k1+(5179/1278)*S+1057/2556)*lambda^2+((-(1/1917)*S+1/1917)*k1^3+(4253/230040+(14759/115020)*S)*k1^2+(-4123/38340-(10889/9585)*S)*k1+(1376/639)*S+55/639)*lambda+(2/5751-(2/5751)*S)*k1^3+((6133/115020)*S+811/230040)*k1^2+(-349/38340-(2927/9585)*S)*k1+(30/71)*S-1/213)*M^2+(700/1053)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R^2+((19/5*(1+lambda))*((-80/247+(383/247)*S+S^2)*lambda^4+((-(4129/4940)*S+85/494-(2667/4940)*S^2)*k1+(2467/741)*S^2+(3176/741)*S-740/741)*lambda^3+(((4673/44460)*S-497/22230+(18/247)*S^2)*k1^2+(-(77257/44460)*S-(15224/11115)*S^2+1789/4446)*k1-2540/2223+(9809/2223)*S+(9064/2223)*S^2)*lambda^2+(-(2/6669)*S*(S-4)*k1^3+((29293/200070)*S-3527/100035+(4993/40014)*S^2)*k1^2+(2068/6669-(2911/2565)*S^2-(39821/33345)*S)*k1+(4852/2223)*S^2+(4460/2223)*S-1280/2223)*lambda-(4/20007)*S*(S-4)*k1^3+((10091/200070)*S-458/33345+(1048/20007)*S^2)*k1^2+(-(9053/33345)*S-(10264/33345)*S^2+526/6669)*k1+(84/247)*S+(320/741)*S^2-80/741)*M^2+(700/1053)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2)*R-(304/65*(1+lambda))*S*((S-5/19)*lambda^4+((-(1631/3040)*S+85/608)*k1-185/228+(667/228)*S)*lambda^3+(((187/2736)*S-497/27360)*k1^2+(1789/5472-(8107/6840)*S)*k1-635/684+(547/171)*S)*lambda^2+((1/2052)*S*k1^3+(-3527/123120+(313/3078)*S)*k1^2+(517/2052-(17849/20520)*S)*k1+(265/171)*S-80/171)*lambda+(1/3078)*S*k1^3+((58/1539)*S-229/20520)*k1^2+(263/4104-(544/2565)*S)*k1+(16/57)*S-5/57)*M^2+(280/1053)*(1+lambda-(2/15)*k1)*k1^2*(2/3+lambda)^2))*(1+lambda)*beta^2-4*(1+lambda)^2*((35/8424*(2/3+lambda))*k1^2*R^5+((lambda^3+(-(139/520)*k1+110/39)*lambda^2+(101/39-(2501/4680)*k1)*lambda-(619/2340)*k1+10/13)*M^2+(175/4212*(2/3+lambda))*k1^2)*R^4+(((37/65-S)*lambda^3+(((139/520)*S-427/2600)*k1-(110/39)*S+293/195)*lambda^2+((1/390)*k1^2+(-3547/11700+(2501/4680)*S)*k1+236/195-(101/39)*S)*lambda+(1/585)*k1^2+(-361/2925+(619/2340)*S)*k1+4/13-(10/13)*S)*M^2+(175/1053*(2/3+lambda))*k1^2)*R^3+(((-(284/65)*S-79/65)*lambda^3+((867/2600+(119/100)*S)*k1-(2266/195)*S-70/39)*lambda^2+((1/195-(1/195)*S)*k1^2+((12997/5850)*S+7199/23400)*k1-119/195-(1942/195)*S)*lambda+(2/585-(2/585)*S)*k1^2+(349/11700+(2927/2925)*S)*k1-(36/13)*S+2/65)*M^2+(350/1053*(2/3+lambda))*k1^2)*R^2+(((-16/13+(19/5)*S^2+(383/65)*S)*lambda^3+((17/52-(4129/2600)*S-(2667/2600)*S^2)*k1-116/39+(1973/195)*S^2+(482/39)*S)*lambda^2+((1/390)*S*(S-4)*k1^2+(-(22447/11700)*S^2-(52483/23400)*S+1279/2340)*k1-92/39+(1663/195)*S+(1706/195)*S^2)*lambda+(1/585)*S*(S-4)*k1^2+(-(9053/11700)*S-(2566/2925)*S^2+263/1170)*k1-8/13+(32/13)*S^2+(126/65)*S)*M^2+(350/1053*(2/3+lambda))*k1^2)*R-(304/65*((S-5/19)*lambda^3+((-(1631/6080)*S+85/1216)*k1-145/228+(515/228)*S)*lambda^2+(-(1/912)*k1^2*S+(-(11321/27360)*S+1279/10944)*k1-115/228+(193/114)*S)*lambda-(1/1368)*k1^2*S+(263/5472-(136/855)*S)*k1-5/38+(8/19)*S))*S*M^2+(140/1053*(2/3+lambda))*k1^2)*(2/3+lambda)*beta+((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*S+1)*lambda-(16/5)*S+1)*(R-S)*(1+lambda)^2*M^2*(2/3+lambda)^2*((15/13+lambda)*R-12/13-(16/13)*lambda))*(-1+beta)/((R+2)^5*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2*((-(1/5)*k1+1+lambda)*beta-1-lambda)^3*(1+lambda)^2);
C_Ca_3 = -(27/20)*((((9/5)*R+R^2+1-(19/5)*S)*lambda^3+((-(71/105)*k1+20/7)*R^2+(-(44/35)*k1+159/35)*R+(-71/105+(274/105)*S)*k1+20/7-(359/35)*S)*lambda^2+((19/7-(43/35)*k1+(1/7)*k1^2)*R^2+((29/105)*k1^2+132/35-2*k1)*R+(-(59/105)*S+1/7)*k1^2+((156/35)*S-43/35)*k1-(46/5)*S+19/7)*lambda-(1/105*(-5+k1))*(k1^2-8*k1+18)*R^2+((2/21)*k1^2-(2/105)*k1^3+36/35-(4/5)*k1)*R+((4/105)*S-1/105)*k1^3+(-(12/35)*S+13/105)*k1^2+(-58/105+(40/21)*S)*k1-(96/35)*S+6/7)*beta^3+((-(27/5)*R-3*R^2-3+(57/5)*S)*lambda^3+(((142/105)*k1-60/7)*R^2+((88/35)*k1-477/35)*R+(142/105-(548/105)*S)*k1+(1077/35)*S-60/7)*lambda^2+(((86/35)*k1-(1/7)*k1^2-57/7)*R^2+(4*k1-(29/105)*k1^2-396/35)*R+((59/105)*S-1/7)*k1^2+(86/35-(312/35)*S)*k1-57/7+(138/5)*S)*lambda+(-(13/105)*k1^2-18/7+(116/105)*k1)*R^2+((8/5)*k1+(2/105)*k1^2-108/35)*R+(-13/105+(8/35)*S)*k1^2+(116/105-(80/21)*S)*k1+(288/35)*S-18/7)*beta^2+(((27/5)*R+3*R^2+3-(57/5)*S)*lambda^3+((-(71/105)*k1+60/7)*R^2+(477/35-(44/35)*k1)*R+(-71/105+(274/105)*S)*k1-(1077/35)*S+60/7)*lambda^2+((57/7-(43/35)*k1)*R^2+(396/35-2*k1)*R+((156/35)*S-43/35)*k1+57/7-(138/5)*S)*lambda+(-(58/105)*k1+18/7)*R^2+(-(4/5)*k1+108/35-(4/35)*k1^2)*R+(4/35)*k1^2*S+(-58/105+(40/21)*S)*k1+18/7-(288/35)*S)*beta-(lambda+6/7)*(1+lambda)*(((9/5)*R+R^2+1-(19/5)*S)*lambda-(16/5)*S+1+(6/5)*R+R^2))*M*(2/3+lambda)/(((1+lambda-(1/7)*k1)*beta-lambda-1)*(1+lambda)*(R+2)^2*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)*((-(1/5)*k1+1+lambda)*beta-1-lambda));
C_Ca_4 = -(207/70)*(((-(1/5)*k1+1+lambda)*(1+lambda-(4/23)*k1)*R^2+((9/5)*lambda^2+(-(82/115)*k1+3)*lambda+(12/115)*k1^2-(14/23)*k1+6/5)*R+(-(19/5)*lambda^2+((168/115)*k1-7)*lambda-(4/23)*k1^2-16/5+(156/115)*k1)*S+(-(1/5)*k1+1+lambda)*(1+lambda-(4/23)*k1))*beta^2+(-(2*(1+lambda))*(1+lambda-(43/230)*k1)*R^2-(18/5*(2/3+lambda-(1/9)*k1))*(1+lambda-(2/23)*k1)*R+((38/5)*lambda^2+(-(168/115)*k1+14)*lambda+32/5-(156/115)*k1+(4/115)*k1^2)*S-(2*(1+lambda))*(1+lambda-(43/230)*k1))*beta+(1+lambda)*((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*lambda-16/5)*S+1+lambda))*M^2*(R-S)*(-1+beta)/((R+2)^4*((-(1/9)*k1+lambda+1)*beta-1-lambda)*((-(1/5)*k1+1+lambda)*beta-1-lambda)^2);


D_Ca_1 = -(3/20)*M*(2/3+lambda)*((((9/5)*R+R^2+1-(19/5)*S)*lambda^3+((-(13/15)*k1-1/3)*R^2+(-(8/5)*k1-6/5)*R+((10/3)*S-13/15)*k1-1/3+(28/15)*S)*lambda^2+((2/3+(11/45)*k1^2-(11/15)*k1)*R^2+((7/15)*k1^2-(13/15)*k1+2)*R+(-(43/45)*S+11/45)*k1^2+(-11/15+(7/3)*S)*k1+2/3-(10/3)*S)*lambda-(1/45*(-5+k1))*(k1^2-3*k1+18)*R^2+((4/9)*k1^2-(2/45)*k1^3+12/5-(6/5)*k1)*R+((4/45)*S-1/45)*k1^3+(-(4/5)*S+8/45)*k1^2+(-11/15+(8/3)*S)*k1+2-(32/5)*S)*beta^3+((-(27/5)*R-3*R^2-3+(57/5)*S)*lambda^3+(((26/15)*k1+1)*R^2+((16/5)*k1+18/5)*R+(26/15-(20/3)*S)*k1-(28/5)*S+1)*lambda^2+((-(11/45)*k1^2+(22/15)*k1-2)*R^2+(-6-(7/15)*k1^2+(26/15)*k1)*R+(-11/45+(43/45)*S)*k1^2+(-(14/3)*S+22/15)*k1-2+10*S)*lambda+(-(8/45)*k1^2+(22/15)*k1-6)*R^2+(-36/5-(28/45)*k1^2+(12/5)*k1)*R+((44/45)*S-8/45)*k1^2+(22/15-(16/3)*S)*k1-6+(96/5)*S)*beta^2+(((27/5)*R+3*R^2+3-(57/5)*S)*lambda^3+((-1-(13/15)*k1)*R^2+(-(8/5)*k1-18/5)*R+((10/3)*S-13/15)*k1+(28/5)*S-1)*lambda^2+((2-(11/15)*k1)*R^2+(-(13/15)*k1+6)*R+(-11/15+(7/3)*S)*k1-10*S+2)*lambda+(-(11/15)*k1+6)*R^2+(36/5-(6/5)*k1+(8/45)*k1^2)*R-(8/45)*k1^2*S+(-11/15+(8/3)*S)*k1+6-(96/5)*S)*beta-(((9/5)*R+R^2+1-(19/5)*S)*lambda-(16/5)*S+1+(6/5)*R+R^2)*(lambda^2-(4/3)*lambda+2))/(((-(1/5)*k1+1+lambda)*beta-1-lambda)*(R+2)^2*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2*(1+lambda));
D_Ca_2 = (594/175)*(-1+beta)*(((35/2376)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2*R^5+(-(1/5)*k1+1+lambda)*((1+lambda)^2*(lambda-(89/440)*k1+25/22)*(lambda-(1/3)*k1+2/3)^2*M^2+(175/1188)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda))*R^4+(-((S-103/110)*lambda^2+((-(177/440)*S+931/2200)*k1+(47/22)*S-197/110)*lambda+(-31/550+(89/2200)*S)*k1^2+(113/275-(189/440)*S)*k1-17/22+(25/22)*S)*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*M^2+(175/297)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^3+(-(521/110*((S+61/521)*lambda^2+((-(2191/5210)*S-541/10420)*k1+(1024/521)*S-4/521)*lambda+(19/10420+(25/521)*S)*k1^2+(-19/10420-(1082/2605)*S)*k1-47/521+(485/521)*S))*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*M^2+(350/297)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R^2+((19/5)*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*((-5/22+(211/209)*S+S^2)*lambda^2+((-(3467/8360)*S-(3451/8360)*S^2+75/836)*k1+(547/418)*S+(827/418)*S^2-80/209)*lambda+((47/1045)*S^2-37/4180+(5/152)*S)*k1^2+(-(428/1045)*S^2+63/836-(2243/8360)*S)*k1-65/418+(200/209)*S^2+(161/418)*S)*M^2+(350/297)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*R-(361/110)*S*(1+lambda)^2*(lambda-(1/3)*k1+2/3)^2*((S-5/19)*lambda^2+((-(77/190)*S+75/722)*k1+(29/19)*S-160/361)*lambda+(-37/3610+(64/1805)*S)*k1^2+(63/722-(556/1805)*S)*k1-65/361+(208/361)*S)*M^2+(140/297)*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)^2)*beta^4+(-(35/792*(lambda-(1/15)*k1+1))*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda)*R^5+(-4*(1+lambda)^2*(lambda-(1/3)*k1+2/3)*(lambda^3+(185/66-(2473/5280)*k1)*lambda^2+((43/800)*k1^2-(4643/5280)*k1+169/66)*lambda-(97/240)*k1+(1301/26400)*k1^2+25/33)*M^2-(175/396*(lambda-(1/15)*k1+1))*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda))*R^4+((4*((S-103/110)*lambda^3+((-(2473/5280)*S+12499/26400)*k1-797/330+(185/66)*S)*lambda^2+((-347/5280+(43/800)*S)*k1^2+(10801/13200-(4643/5280)*S)*k1-59/30+(169/66)*S)*lambda+(1/1320)*k1^3+(-3/55+(1301/26400)*S)*k1^2+(-(97/240)*S+1103/3300)*k1-17/33+(25/33)*S))*(1+lambda)^2*(lambda-(1/3)*k1+2/3)*M^2-(175/99*(lambda-(1/15)*k1+1))*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda))*R^3+((1042/55)*(1+lambda)^2*((S+61/521)*lambda^3+((-(30139/62520)*S-7309/125040)*k1+(4114/1563)*S+110/1563)*lambda^2+((107/25008+(3751/62520)*S)*k1^2+(-3257/125040-(26551/31260)*S)*k1-149/1563+(3503/1563)*S)*lambda+(1/3126-(1/3126)*S)*k1^3+(1/8336+(267/5210)*S)*k1^2+(883/62520-(5671/15630)*S)*k1-94/1563+(970/1563)*S)*(lambda-(1/3)*k1+2/3)*M^2-(350/99*(lambda-(1/15)*k1+1))*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda))*R^2+(-(76/5*((-5/22+(211/209)*S+S^2)*lambda^3+((-(48083/100320)*S-(47779/100320)*S^2+1055/10032)*k1-335/627+(3317/1254)*S^2+(2485/1254)*S)*lambda^2+((-199/16720+(5767/100320)*S^2+(4877/100320)*S)*k1^2+(-(62869/100320)*S+1657/10032-(42301/50160)*S^2)*k1-515/1254+(1427/627)*S^2+(83/66)*S)*lambda-(1/5016)*S*(S-4)*k1^3+(-463/50160+(1061/33440)*S+(207/4180)*S^2)*k1^2+(29/456-(1142/3135)*S^2-(9949/50160)*S)*k1+(161/627)*S-65/627+(400/627)*S^2))*(1+lambda)^2*(lambda-(1/3)*k1+2/3)*M^2-(350/99*(lambda-(1/15)*k1+1))*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda))*R+(722/55)*S*(1+lambda)^2*(lambda-(1/3)*k1+2/3)*((S-5/19)*lambda^3+((1055/8664-(1073/2280)*S)*k1-670/1083+(125/57)*S)*lambda^2+((-199/14440+(2171/43320)*S)*k1^2+(1657/8664-(14903/21660)*S)*k1+(1726/1083)*S-515/1083)*lambda+(1/2166)*S*k1^3+(-463/43320+(66/1805)*S)*k1^2+(319/4332-(1354/5415)*S)*k1-130/1083+(416/1083)*S)*M^2-(140/99*(lambda-(1/15)*k1+1))*k1^2*(2/3+lambda)^2*(-(1/5)*k1+1+lambda))*beta^3+(6*((35/4752*(1+lambda-(2/15)*k1))*k1^2*(2/3+lambda)^2*R^5+((lambda^4+(229/66-(1411/2640)*k1)*lambda^3+(-(2245/1584)*k1+877/198+(8311/118800)*k1^2)*lambda^2+(244/99-(1217/990)*k1+(7489/59400)*k1^2)*lambda+(553/9900)*k1^2+50/99-(689/1980)*k1)*(1+lambda)*M^2+(175/2376*(1+lambda-(2/15)*k1))*k1^2*(2/3+lambda)^2)*R^4+(-((S-103/110)*lambda^4+((-(1411/2640)*S+6913/13200)*k1-1003/330+(229/66)*S)*lambda^3+(((8311/118800)*S-4561/59400)*k1^2+(12797/9900-(2245/1584)*S)*k1+(877/198)*S-3541/990)*lambda^2+((1/990)*k1^3+(-941/7425+(7489/59400)*S)*k1^2+(-(1217/990)*S+10133/9900)*k1-904/495+(244/99)*S)*lambda+(1/1485)*k1^3+(-1493/29700+(553/9900)*S)*k1^2+(217/825-(689/1980)*S)*k1+(50/99)*S-34/99)*(1+lambda)*M^2+(175/594*(1+lambda-(2/15)*k1))*k1^2*(2/3+lambda)^2)*R^3+(-(521/110*(1+lambda))*((S+61/521)*lambda^4+((-4063/62520-(16993/31260)*S)*k1+232/1563+(5156/1563)*S)*lambda^3+(((10483/140670)*S+3917/562680)*k1^2+(-(32012/23445)*S-11063/187560)*k1+(18737/4689)*S-227/4689)*lambda^2+((-(2/4689)*S+2/4689)*k1^3+((8867/70335)*S+733/281340)*k1^2+(-(26198/23445)*S+446/23445)*k1-580/4689+(9916/4689)*S)*lambda+(-(4/14067)*S+4/14067)*k1^3+(-277/140670+(7333/140670)*S)*k1^2+(307/15630-(2338/7815)*S)*k1+(1940/4689)*S-188/4689)*M^2+(175/297*(1+lambda-(2/15)*k1))*k1^2*(2/3+lambda)^2)*R^2+((19/5*((-5/22+(211/209)*S+S^2)*lambda^4+((-(27281/50160)*S+55/456-(27073/50160)*S^2)*k1+(3329/1254)*S-430/627+(4153/1254)*S^2)*lambda^3+(((3281/45144)*S^2+(30277/451440)*S-3533/225720)*k1^2+(-(161191/150480)*S+377/1368-(4657/3420)*S^2)*k1+(7598/1881)*S^2+(9701/3762)*S-2885/3762)*lambda^2+(-(1/3762)*S*(S-4)*k1^3+((127/1026)*S^2+(19823/225720)*S-13/540)*k1^2+(41/198-(12983/18810)*S-(42263/37620)*S^2)*k1+(4054/1881)*S^2+(2060/1881)*S-710/1881)*lambda-(1/5643)*S*(S-4)*k1^3+((292/5643)*S^2+(3163/112860)*S-343/37620)*k1^2+(193/3762-(607/4180)*S-(952/3135)*S^2)*k1+(322/1881)*S+(800/1881)*S^2-130/1881))*(1+lambda)*M^2+(175/297*(1+lambda-(2/15)*k1))*k1^2*(2/3+lambda)^2)*R-(361/110)*S*(1+lambda)*((S-5/19)*lambda^4+((-(611/1140)*S+605/4332)*k1-860/1083+(163/57)*S)*lambda^3+(((659/9747)*S-3533/194940)*k1^2+(-(18766/16245)*S+4147/12996)*k1+(9928/3249)*S-2885/3249)*lambda^2+((2/3249)*S*k1^3+((1909/19494)*S-143/5130)*k1^2+(-(13429/16245)*S+41/171)*k1+(4700/3249)*S-1420/3249)*lambda+(4/9747)*S*k1^3+((344/9747)*S-343/32490)*k1^2+(193/3249-(56/285)*S)*k1+(832/3249)*S-260/3249)*M^2+(70/297*(1+lambda-(2/15)*k1))*k1^2*(2/3+lambda)^2))*(1+lambda)*beta^2-(4*((35/9504)*k1^2*(2/3+lambda)*R^5+((lambda^3+(185/66-(1411/5280)*k1)*lambda^2+(169/66-(2801/5280)*k1)*lambda+25/33-(689/2640)*k1)*M^2+(175/4752)*k1^2*(2/3+lambda))*R^4+(((-S+103/110)*lambda^3+((-6913/26400+(1411/5280)*S)*k1-(185/66)*S+797/330)*lambda^2+((1/440)*k1^2+((2801/5280)*S-6227/13200)*k1-(169/66)*S+59/30)*lambda+(1/660)*k1^2+(-217/1100+(689/2640)*S)*k1+17/33-(25/33)*S)*M^2+(175/1188)*k1^2*(2/3+lambda))*R^3+(((-(521/110)*S-61/110)*lambda^3+((4063/26400+(16993/13200)*S)*k1-1/3-(187/15)*S)*lambda^2+((1/220-(1/220)*S)*k1^2+(89/2400+(15677/6600)*S)*k1+149/330-(3503/330)*S)*lambda+(-(1/330)*S+1/330)*k1^2+(-307/4400+(1169/1100)*S)*k1-(97/33)*S+47/165)*M^2+(175/594)*k1^2*(2/3+lambda))*R^2+((((19/5)*S^2+(211/55)*S-19/22)*lambda^3+((-(27281/26400)*S-(27073/26400)*S^2+11/48)*k1-67/33+(497/66)*S+(3317/330)*S^2)*lambda^2+((1/440)*S*(S-4)*k1^2+(-(35543/26400)*S-(25127/13200)*S^2+89/240)*k1-103/66+(1427/165)*S^2+(1577/330)*S)*lambda+(1/660)*S*(S-4)*k1^2+(-(238/275)*S^2+193/1320-(1821/4400)*S)*k1+(161/165)*S-13/33+(80/33)*S^2)*M^2+(175/594)*k1^2*(2/3+lambda))*R-(361/110*((S-5/19)*lambda^3+((605/8664-(611/2280)*S)*k1-670/1083+(125/57)*S)*lambda^2+(-(1/722)*k1^2*S+(979/8664-(8641/21660)*S)*k1+(1726/1083)*S-515/1083)*lambda-(1/1083)*k1^2*S+(-(14/95)*S+193/4332)*k1-130/1083+(416/1083)*S))*S*M^2+(35/297)*k1^2*(2/3+lambda)))*(2/3+lambda)*(1+lambda)^2*beta+((25/22+lambda)*R-13/22-(19/22)*lambda)*((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*S+1)*lambda-(16/5)*S+1)*(R-S)*M^2*(2/3+lambda)^2*(1+lambda)^2)/((R+2)^5*((-(1/5)*k1+1+lambda)*beta-1-lambda)^3*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2*(1+lambda)^2);
D_Ca_3 = (27/20)*M*(2/3+lambda)*((((9/5)*R+R^2+1-(19/5)*S)*lambda^3+((46/21-(71/105)*k1)*R^2+(117/35-(44/35)*k1)*R+(-71/105+(274/105)*S)*k1-(811/105)*S+46/21)*lambda^2+(((1/7)*k1^2+29/21-k1)*R^2+(-(164/105)*k1+(29/105)*k1^2+62/35)*R+(-(59/105)*S+1/7)*k1^2+(-1+(374/105)*S)*k1+29/21-(68/15)*S)*lambda-(1/105*(-5+k1))*(k1^2-6*k1+4)*R^2+(8/35-(44/105)*k1-(2/105)*k1^3+(2/35)*k1^2)*R+((4/105)*S-1/105)*k1^3+(-(4/15)*S+11/105)*k1^2+(-34/105+(16/15)*S)*k1-(64/105)*S+4/21)*beta^3+((-(27/5)*R-3*R^2-3+(57/5)*S)*lambda^3+(((142/105)*k1-46/7)*R^2+((88/35)*k1-351/35)*R+(142/105-(548/105)*S)*k1+(811/35)*S-46/7)*lambda^2+((2*k1-(1/7)*k1^2-29/7)*R^2+(-186/35+(328/105)*k1-(29/105)*k1^2)*R+((59/105)*S-1/7)*k1^2+(2-(748/105)*S)*k1-29/7+(68/5)*S)*lambda+((68/105)*k1-4/7-(11/105)*k1^2)*R^2+((88/105)*k1-24/35+(2/35)*k1^2)*R+(-11/105+(16/105)*S)*k1^2+(68/105-(32/15)*S)*k1+(64/35)*S-4/7)*beta^2+(((27/5)*R+3*R^2+3-(57/5)*S)*lambda^3+((-(71/105)*k1+46/7)*R^2+(-(44/35)*k1+351/35)*R+(-71/105+(274/105)*S)*k1+46/7-(811/35)*S)*lambda^2+((29/7-k1)*R^2+(186/35-(164/105)*k1)*R+(-1+(374/105)*S)*k1-(68/5)*S+29/7)*lambda+(-(34/105)*k1+4/7)*R^2+(24/35-(4/35)*k1^2-(44/105)*k1)*R+(4/35)*k1^2*S+(-34/105+(16/15)*S)*k1-(64/35)*S+4/7)*beta-(lambda+4/21)*(((9/5)*R+R^2+1-(19/5)*S)*lambda-(16/5)*S+1+(6/5)*R+R^2)*(1+lambda))/(((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)*((1+lambda-(1/7)*k1)*beta-lambda-1)*(1+lambda)*(R+2)^2*((-(1/5)*k1+1+lambda)*beta-1-lambda));
D_Ca_4= (369/70)*(-1+beta)*(R-S)*(((lambda-(6/41)*k1+1)*(-(1/5)*k1+1+lambda)*R^2+((9/5)*lambda^2+(3-(136/205)*k1)*lambda+(16/205)*k1^2-(118/205)*k1+6/5)*R+(-(19/5)*lambda^2+((278/205)*k1-7)*lambda-16/5+(52/41)*k1-(28/205)*k1^2)*S+(lambda-(6/41)*k1+1)*(-(1/5)*k1+1+lambda))*beta^2+(-(2*(1+lambda-(71/410)*k1))*(1+lambda)*R^2+(-(18/5)*lambda^2+(-6+(136/205)*k1)*lambda-(4/205)*k1^2-12/5+(118/205)*k1)*R+((38/5)*lambda^2+(-(278/205)*k1+14)*lambda+(4/205)*k1^2-(52/41)*k1+32/5)*S-(2*(1+lambda-(71/410)*k1))*(1+lambda))*beta+(1+lambda)*((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*lambda-16/5)*S+1+lambda))*M^2/((R+2)^4*((-(1/9)*k1+lambda+1)*beta-1-lambda)*((-(1/5)*k1+1+lambda)*beta-1-lambda)^2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Drop velocity at different orders of perturbation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Leading order

Ud_0= (1/3)*(2+3*lambda)*(-3+3*beta+3*lambda*beta-3*lambda-k*beta)/((1+lambda)*(-2+2*beta+3*lambda*beta-3*lambda-k*beta));

%Order Re_E (electric Reynolds number)

Ud_ReE= -(6/5)*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(-2+2*beta+3*lambda*beta-3*lambda-k*beta)^2);

%Order Ca (capillary number)

Ud_Ca= (1/20)*M*(2+3*lambda)*(-120-39*beta^3*k*lambda^2-54*beta^3*k*R^2-57*beta^3*k*lambda-261*S*beta*lambda^2+11*beta^3*k^2*R^2-39*lambda^2*k*beta+87*S*lambda^2+168*k*R*beta^2-81*lambda^2*R*beta^2-135*lambda^3*R^2*beta^2-48*beta^3*S*k^2-34*k^2*R*beta^2-11*k^2*beta^2*lambda+594*lambda*R*beta+192*beta^3*S*k+135*lambda^3*R^2*beta-84*k*R*beta-11*k^2*R^2*beta^2-8*beta*k^2*S-72*k*R*beta*lambda^2-120*R^2-27*lambda^2*R+243*lambda^3*R*beta-90*lambda^2*R^2*beta^2-384*S*k*beta^2-513*S*beta*lambda^3+408*S*lambda-432*R*beta^2-360*R^2*beta^2+1152*S*beta^2-45*lambda^3*R^2+171*S*lambda^3-81*lambda^3*R+135*lambda^3*beta-135*lambda^3*beta^2-408*beta^3*S*lambda-2*beta^3*k^3*R-315*lambda*R^2*beta^2-594*lambda*R*beta^2+26*beta^3*k^2*R+56*S*k^2*beta^2+261*S*beta^2*lambda^2+11*beta^3*k^2*lambda+78*lambda^2*beta^2*k-87*beta^3*S*lambda^2+4*beta^3*k^3*S+114*lambda*beta^2*k+1224*S*beta^2*lambda+81*lambda^2*R*beta+108*k*R^2*beta^2-144*R-21*k^2*R*beta^2*lambda-384*beta^3*S+150*S*k*beta*lambda^2+90*lambda^2*beta-105*lambda*R^2-beta^3*k^3-11*k^2*R^2*beta^2*lambda+360*R^2*beta+432*R*beta-84*k*R*beta*lambda+198*S*k*beta*lambda+120*beta^3*R^2+144*beta^3*R-1152*S*beta+315*lambda*beta+11*beta^3*k^2*R^2*lambda+105*lambda*beta^3*R^2-105*lambda+30*lambda^2*beta^3*R^2+384*S-1224*S*beta*lambda+108*k*beta^2-11*k^2*beta^2-54*beta^3*k+360*beta+114*k*R^2*beta^2*lambda+150*beta^3*S*k*lambda^2-198*lambda*R-90*lambda^2*beta^2+198*beta^3*S*k*lambda+90*lambda^2*R^2*beta+78*k*R^2*beta^2*lambda^2-30*lambda^2*R^2-315*lambda*beta^2-243*lambda^3*R*beta^2-171*beta^3*S*lambda^3-84*beta^3*k*R-360*beta^2-72*beta^3*k*lambda^2*R+315*lambda*R^2*beta-beta^3*k^3*R^2-57*k*R^2*beta*lambda+168*k*R*beta^2*lambda+144*k*R*beta^2*lambda^2+513*S*beta^2*lambda^3-43*beta^3*S*k^2*lambda-30*lambda^2+8*beta*k^2*R+43*S*k^2*beta^2*lambda+30*lambda^2*beta^3+45*lambda^3*beta^3*R^2+21*beta^3*k^2*R*lambda-84*beta^3*k*lambda*R-300*S*k*beta^2*lambda^2+27*lambda^2*beta^3*R+11*beta^3*k^2+192*S*k*beta-39*beta^3*k*lambda^2*R^2-57*beta^3*k*lambda*R^2+81*lambda^3*beta^3*R+198*lambda*beta^3*R-396*S*k*beta^2*lambda+120*beta^3-39*k*R^2*beta*lambda^2+105*lambda*beta^3-54*k*beta-54*k*R^2*beta-57*lambda*k*beta+45*lambda^3*beta^3-45*lambda^3)/((1+lambda)*(-5+5*lambda*beta-k*beta+5*beta-5*lambda)*(-2+2*beta+3*lambda*beta-3*lambda-k*beta)^2*(R+2)^2);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Surface charge distribution at different orders of perturbation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Leading-order

qs0 = 3*cos(theta)*(R-S)/(R+2);

%Order Re_E (electric Reynolds number)

qsReE=(108/5)*(M*(R+2)*(R+3/2)*(R-S)*(1+lambda)*((2/3+lambda-(1/3)*k)*beta-2/3-lambda)*(4/3+S)*cos(theta)^3-(5/24)*(R+2)^3*((lambda-(1/5)*k+1)*beta-lambda-1)*(3/2+S)*(2/3+lambda)*(R+4/3)*cos(theta)^2-(1/2)*M*(R+3/2)*((6/5+S)*R+(32/15)*S+8/3)*(R-S)*(1+lambda)*((2/3+lambda-(1/3)*k)*beta-2/3-lambda)*cos(theta)+(5/72)*(R+2)^3*((lambda-(1/5)*k+1)*beta-lambda-1)*(3/2+S)*(2/3+lambda)*(R+4/3))*(R-S)*(-1+beta)/((R+2)^4*((lambda-(1/5)*k+1)*beta-lambda-1)*(R+3/2)*(1+lambda)*(R+4/3)*((2/3+lambda-(1/3)*k)*beta-2/3-lambda));

%Order Ca (capillary number)

qs_Ca = -(27/10)*S*(R-1)*M*(5*beta-5*lambda+5*lambda*beta-9*lambda*R-5-6*R+16*S-2*k*R*beta+4*S*k*beta-k*beta-5*R^2+19*S*lambda+9*lambda*R*beta-19*S*beta*lambda-5*lambda*R^2+6*R*beta-16*S*beta+5*R^2*beta+5*lambda*R^2*beta-k*R^2*beta)*cos(theta)/((5*R^2*beta+20*R*beta-20+20*beta-5*R^2-20*R-5*lambda*R^2+20*lambda*beta-20*lambda*R+5*lambda*R^2*beta+20*lambda*R*beta-20*lambda-4*k*beta-4*k*R*beta-k*R^2*beta)*(R+2)^2)+(9/5)*M*(5*beta-5*lambda+5*lambda*beta-9*lambda*R-5-6*R+16*S-2*k*R*beta+4*S*k*beta-k*beta-5*R^2+19*S*lambda+9*lambda*R*beta-19*S*beta*lambda-5*lambda*R^2+6*R*beta-16*S*beta+5*R^2*beta+5*lambda*R^2*beta-k*R^2*beta)*(-2*R+1+R^2)*cos(theta)/((5*R^2*beta+20*R*beta-20+20*beta-5*R^2-20*R-5*lambda*R^2+20*lambda*beta-20*lambda*R+5*lambda*R^2*beta+20*lambda*R*beta-20*lambda-4*k*beta-4*k*R*beta-k*R^2*beta)*(R^2+4*R+4))+(4/5)*(-27*M*(5*beta-5*lambda+5*lambda*beta-9*lambda*R-5-6*R+16*S-2*k*R*beta+4*S*k*beta-k*beta-5*R^2+19*S*lambda+9*lambda*R*beta-19*S*beta*lambda-5*lambda*R^2+6*R*beta-16*S*beta+5*R^2*beta+5*lambda*R^2*beta-k*R^2*beta)/(5*R^2*beta+20*R*beta-20+20*beta-5*R^2-20*R-5*lambda*R^2+20*lambda*beta-20*lambda*R+5*lambda*R^2*beta+20*lambda*R*beta-20*lambda-4*k*beta-4*k*R*beta-k*R^2*beta)+(27/4)*M*(5*beta-5*lambda+5*lambda*beta-9*lambda*R-5-6*R+16*S-2*k*R*beta+4*S*k*beta-k*beta-5*R^2+19*S*lambda+9*lambda*R*beta-19*S*beta*lambda-5*lambda*R^2+6*R*beta-16*S*beta+5*R^2*beta+5*lambda*R^2*beta-k*R^2*beta)*R/(5*R^2*beta+20*R*beta-20+20*beta-5*R^2-20*R-5*lambda*R^2+20*lambda*beta-20*lambda*R+5*lambda*R^2*beta+20*lambda*R*beta-20*lambda-4*k*beta-4*k*R*beta-k*R^2*beta)+(81/4)*M*(5*beta-5*lambda+5*lambda*beta-9*lambda*R-5-6*R+16*S-2*k*R*beta+4*S*k*beta-k*beta-5*R^2+19*S*lambda+9*lambda*R*beta-19*S*beta*lambda-5*lambda*R^2+6*R*beta-16*S*beta+5*R^2*beta+5*lambda*R^2*beta-k*R^2*beta)*R^2/(5*R^2*beta+20*R*beta-20+20*beta-5*R^2-20*R-5*lambda*R^2+20*lambda*beta-20*lambda*R+5*lambda*R^2*beta+20*lambda*R*beta-20*lambda-4*k*beta-4*k*R*beta-k*R^2*beta))*((5/2)*cos(theta)^3-(3/2)*cos(theta))/(10*R+8+3*R^2);

%%%%%%%%%%%%%%%%%%%%%%%%%
% Surfactant distribution
%%%%%%%%%%%%%%%%%%%%%%%%%

%Leading-order

gCa = -(1/2)*k1*(2+3*lambda)*(-1+beta)*cos(theta)/((1+lambda)*(-2+2*beta-3*lambda+3*lambda*beta-k1*beta))+3*k1*M*(R*beta-S*beta-R+S)*(-1/2+(3/2)*cos(theta)^2)/(20*R*beta+5*R^2*beta-20*lambda+20*lambda*beta-20*lambda*R-5*lambda*R^2+5*lambda*R^2*beta+20*lambda*R*beta-5*R^2-20*R+20*beta-20-4*k1*R*beta-k1*R^2*beta-4*k1*beta);

%Order Re_E (electric Reynolds number)

gCaRe = -(3/10)*k1*(-6*R*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(-2+2*beta-3*lambda+3*lambda*beta-k1*beta)^2)+12*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(-2+2*beta-3*lambda+3*lambda*beta-k1*beta)^2)-12*beta*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(-2+2*beta-3*lambda+3*lambda*beta-k1*beta)^2)+6*R*M*(-1+beta)^2*(3*R+3-S)*(R-S)*(2+3*lambda)/((R+2)^2*(2*R+3)*(1+lambda)*(-2+2*beta-3*lambda+3*lambda*beta-k1*beta)^2)+6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+18*M*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*M*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-18*M*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))*cos(theta)/(3*R*beta-6+6*beta-3*R-6*lambda+3*lambda*R*beta-3*lambda*R+6*lambda*beta-2*k1*beta-k1*R*beta)-(1/7)*k1*M*(-(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)-(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)+(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80-160*R-40*lambda*R^3+5*R^4*lambda*beta-5*R^4*lambda-R^4*k1*beta+40*R^3*beta+40*lambda*R^3*beta-8*k1*R^3*beta+5*R^4*beta+160*lambda*R*beta+120*lambda*R^2*beta-24*k1*R^2*beta-32*k1*R*beta-120*R^2-80*lambda+80*beta-120*lambda*R^2+160*R*beta+80*lambda*beta-160*lambda*R-16*k1*beta+120*R^2*beta-5*R^4-40*R^3)+(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80-160*R-40*lambda*R^3+5*R^4*lambda*beta-5*R^4*lambda-R^4*k1*beta+40*R^3*beta+40*lambda*R^3*beta-8*k1*R^3*beta+5*R^4*beta+160*lambda*R*beta+120*lambda*R^2*beta-24*k1*R^2*beta-32*k1*R*beta-120*R^2-80*lambda+80*beta-120*lambda*R^2+160*R*beta+80*lambda*beta-160*lambda*R-16*k1*beta+120*R^2*beta-5*R^4-40*R^3)+(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80-160*R-40*lambda*R^3+5*R^4*lambda*beta-5*R^4*lambda-R^4*k1*beta+40*R^3*beta+40*lambda*R^3*beta-8*k1*R^3*beta+5*R^4*beta+160*lambda*R*beta+120*lambda*R^2*beta-24*k1*R^2*beta-32*k1*R*beta-120*R^2-80*lambda+80*beta-120*lambda*R^2+160*R*beta+80*lambda*beta-160*lambda*R-16*k1*beta+120*R^2*beta-5*R^4-40*R^3)-(756/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80-160*R-40*lambda*R^3+5*R^4*lambda*beta-5*R^4*lambda-R^4*k1*beta+40*R^3*beta+40*lambda*R^3*beta-8*k1*R^3*beta+5*R^4*beta+160*lambda*R*beta+120*lambda*R^2*beta-24*k1*R^2*beta-32*k1*R*beta-120*R^2-80*lambda+80*beta-120*lambda*R^2+160*R*beta+80*lambda*beta-160*lambda*R-16*k1*beta+120*R^2*beta-5*R^4-40*R^3)+(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)-(756/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-80-160*R-40*lambda*R^3+5*R^4*lambda*beta-5*R^4*lambda-R^4*k1*beta+40*R^3*beta+40*lambda*R^3*beta-8*k1*R^3*beta+5*R^4*beta+160*lambda*R*beta+120*lambda*R^2*beta-24*k1*R^2*beta-32*k1*R*beta-120*R^2-80*lambda+80*beta-120*lambda*R^2+160*R*beta+80*lambda*beta-160*lambda*R-16*k1*beta+120*R^2*beta-5*R^4-40*R^3)+(2592/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)+(648/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)-(2592/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)-(378/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-80-160*R-40*lambda*R^3+5*R^4*lambda*beta-5*R^4*lambda-R^4*k1*beta+40*R^3*beta+40*lambda*R^3*beta-8*k1*R^3*beta+5*R^4*beta+160*lambda*R*beta+120*lambda*R^2*beta-24*k1*R^2*beta-32*k1*R*beta-120*R^2-80*lambda+80*beta-120*lambda*R^2+160*R*beta+80*lambda*beta-160*lambda*R-16*k1*beta+120*R^2*beta-5*R^4-40*R^3))*(-1/2+(3/2)*cos(theta)^2)/(10*beta-5*R-10*lambda+5*lambda*R*beta+5*R*beta+10*lambda*beta-5*lambda*R-10-k1*R*beta-2*k1*beta)-(3/5)*k1*M*(12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)*beta/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+6*R*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-12*S*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda)/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)-(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta)+(9*(-2*R-3*S*beta*lambda+2*R*beta-2*S*beta+2*S+3*lambda*R*beta-3*lambda*R+3*S*lambda))*beta/(-7*k1*R*beta*lambda-2*k1*R^2*beta*lambda-10*lambda*R^2-6*lambda^2*R^2-6*k1*beta+30*lambda*beta+4*R^2*beta-35*lambda*R+18*lambda^2*beta-21*lambda^2*R-30*lambda+12*beta-18*lambda^2-14*R-4*R^2-12+10*lambda*R^2*beta-2*k1*R^2*beta+6*lambda^2*R^2*beta+14*R*beta-7*k1*R*beta+35*lambda*R*beta+21*lambda^2*R*beta-6*lambda*k1*beta))*((5/2)*cos(theta)^3-(3/2)*cos(theta))/(-14+14*beta-7*R+7*R*beta-14*lambda+7*lambda*R*beta+14*lambda*beta-7*lambda*R-2*k1*beta-k1*R*beta)-(3/7)*k1*M*(-(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)+(648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)+(1296/5)*S*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)-(648/5)*R*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)-(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)*beta/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3)+(864/5)*M*(-2*S*R*beta+R^2*beta+S^2*beta+2*S*R-R^2-S^2)/(-160-360*R-110*lambda*R^3+15*R^4*lambda*beta-15*R^4*lambda-3*R^4*k1*beta+110*R^3*beta+110*lambda*R^3*beta-22*k1*R^3*beta+15*R^4*beta+360*lambda*R*beta+300*lambda*R^2*beta-60*k1*R^2*beta-72*k1*R*beta-300*R^2-160*lambda+160*beta-300*lambda*R^2+360*R*beta+160*lambda*beta-360*lambda*R-32*k1*beta+300*R^2*beta-15*R^4-110*R^3))*(3/8+(35/8)*cos(theta)^4-(15/4)*cos(theta)^2)/(-18+9*R*beta+18*beta-9*R-18*lambda+9*lambda*R*beta+18*lambda*beta-9*lambda*R-k1*R*beta-2*k1*beta);


%Different harmonic constants in Order Ca (capillary number)

gCaCa1 = (9/20)*(((lambda+(1/18)*k1-1)*(lambda-(1/5)*k1+1)*R^2+((9/5)*lambda^2+(-3/5-(17/30)*k1)*lambda+(13/45)*k1-(1/45)*k1^2-6/5)*R+(-(19/5)*S+1)*lambda^2+((-13/90+(77/90)*S)*k1+(3/5)*S)*lambda+(-1/90+(2/45)*S)*k1^2+(-(4/5)*S+23/90)*k1+(16/5)*S-1)*beta^2+((-2*lambda^2+2+(13/90)*k1*lambda-(23/90)*k1)*R^2+(-(18/5)*lambda^2+(6/5+(5/6)*k1)*lambda+12/5-(1/9)*k1)*R+(-2+(38/5)*S)*lambda^2+((-(101/90)*S+13/90)*k1-(6/5)*S)*lambda+((28/45)*S-23/90)*k1+2-(32/5)*S)*beta+(-1+lambda^2)*R^2+(9/5*(lambda-(4/27)*k1-1))*(2/3+lambda)*R+(-(19/5)*S+1)*lambda^2+(4/15)*S*(k1+9/4)*lambda-1+(16/5)*S+(8/45)*k1*S)*M*(2/3+lambda)*(-1+beta)*k1/(((lambda-(1/5)*k1+1)*beta-lambda-1)*(R+2)^2*(1+lambda)*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2);

gCaCa2 = (657/700)*(((175/1971)*(2/3+lambda)^2*(lambda-(1/5)*k1+1)^2*k1*R^5+(M^2*lambda^4+((766/219-(952/1095)*k1)*M^2+(1750/1971)*k1)*lambda^3+(((809/3285)*k1^2+2953/657-(7754/3285)*k1)*M^2-(350/1971*(k1-35/3))*k1)*lambda^2+(-(74/3285*(k1^2-(691/37)*k1+2065/37))*(-2+k1)*M^2-(1400/5913*(-20/3+k1))*k1)*lambda-(74/3285*(k1-425/74))*(-2+k1)^2*M^2-(1400/17739)*k1*(-5+k1))*(lambda-(1/5)*k1+1)*R^4+(-M^2*(S-127/365)*lambda^5+((((1171/1095)*S-2008/5475)*k1+1678/1095-(985/219)*S)*M^2+(7000/1971)*k1)*lambda^4+(((-(6901/16425)*S+2507/16425)*k1^2+(-21782/16425+(12908/3285)*S)*k1-(5251/657)*S+1691/657)*M^2-(2800/1971*(k1-25/3))*k1)*lambda^3+(((-34/1095+(131/1825)*S)*k1^3+(-(2161/1825)*S+2306/5475)*k1^2+(-626/365+(5867/1095)*S)*k1-(1535/219)*S+2272/1095)*M^2+(280/1971*(-(70/3)*k1+k1^2+925/9))*k1)*lambda^2+(-(74/16425*((-22/37+S)*k1^3+(-(1061/37)*S+431/37)*k1^2+(-4419/74+(13905/74)*S)*k1+3315/37-(12450/37)*S))*(-2+k1)*M^2+(1120/5913*(-5+k1))*(k1-25/3)*k1)*lambda-(74/16425)*(-2+k1)^2*((-22/37+S)*k1^2+(132/37-(795/74)*S)*k1-250/37+(2125/74)*S)*M^2+(1120/17739)*k1*(-5+k1)^2)*R^3+(-(1514/365*(589/1514+S))*M^2*lambda^5+((((24176/5475)*S+10273/5475)*k1-1175/219-(19736/1095)*S)*M^2+(14000/1971)*k1)*lambda^4+(((-(28702/16425)*S-12917/16425)*k1^2+(85292/16425+(257764/16425)*S)*k1-(20266/657)*S-22291/3285)*M^2-(5600/1971*(k1-25/3))*k1)*lambda^3+(((151/1095+(1684/5475)*S)*k1^3+(-(26116/5475)*S-9461/5475)*k1^2+(1871/365+(7524/365)*S)*k1-(28484/1095)*S-4369/1095)*M^2+(560/1971*(-(70/3)*k1+k1^2+925/9))*k1)*lambda^2+(-(68/3285*((67/170+S)*k1^3+(-(439/17)*S-1691/170)*k1^2+(12969/340+(1557/10)*S)*k1-426/17-(4443/17)*S))*(-2+k1)*M^2+(2240/5913*(-5+k1))*(k1-25/3)*k1)*lambda-(68/3285)*(-2+k1)^2*((67/170+S)*k1^2+(-849/340-(762/85)*S)*k1+67/68+(365/17)*S)*M^2+(2240/17739)*k1*(-5+k1)^2)*R^2+((19/5)*M^2*(S^2-530/1387+(137/73)*S)*lambda^5+(((-(22168/5475)*S^2+338/219-(43301/5475)*S)*k1+(18058/1095)*S^2+(5947/219)*S-1306/219)*M^2+(14000/1971)*k1)*lambda^4+((((5239/3285)*S^2+(52507/16425)*S-9886/16425)*k1^2+(17024/3285-(235982/16425)*S^2-(405364/16425)*S)*k1-6382/657+(134657/3285)*S+(18575/657)*S^2)*M^2-(5600/1971*(k1-25/3))*k1)*lambda^3+(((-(3019/5475)*S+186/1825-(1514/5475)*S^2)*k1^3+((4762/1095)*S^2-2846/1825+(42481/5475)*S)*k1^2+(7082/1095-(6898/365)*S^2-(10419/365)*S)*k1+(26212/1095)*S^2+(33593/1095)*S-1718/219)*M^2+(560/1971*(-(70/3)*k1+k1^2+925/9))*k1)*lambda^2+((296/16425*(((275/148)*S+S^2-13/37)*k1^3+(19/2-(7255/148)*S-(107/4)*S^2)*k1^2+((72423/296)*S+(48519/296)*S^2-8145/148)*k1-(41115/148)*S^2-(23385/74)*S+3225/37))*(-2+k1)*M^2+(2240/5913*(-5+k1))*(k1-25/3)*k1)*lambda+(296/16425)*(-2+k1)^2*(((275/148)*S+S^2-13/37)*k1^2+(465/148-(348/37)*S^2-(4353/296)*S)*k1+(850/37)*S^2+(6895/296)*S-1025/148)*M^2+(2240/17739)*k1*(-5+k1)^2)*R-(2014/365)*S*M^2*(S-5/19)*lambda^5+((33028/5475)*S*((S-4225/16514)*k1+16325/16514-(29825/8257)*S)*M^2+(5600/1971)*k1)*lambda^4+(-(7918/3285)*S*((-4943/19795+S)*k1^2+(-(160036/19795)*S+8512/3959)*k1-15955/3959+(56183/3959)*S)*M^2-(2240/1971*(k1-25/3))*k1)*lambda^3+((2264/5475)*S*((S-279/1132)*k1^3+(-(8255/566)*S+4269/1132)*k1^2+((32055/566)*S-17705/1132)*k1+21475/1132-(18265/283)*S)*M^2+(224/1971*(-(70/3)*k1+k1^2+925/9))*k1)*lambda^2+(-(416/16425*((S-1/4)*k1^3+(703/104-(107/4)*S)*k1^2+(-8145/208+(29727/208)*S)*k1+3225/52-(1635/8)*S))*S*(-2+k1)*M^2+(896/5913*(-5+k1))*(k1-25/3)*k1)*lambda-(416/16425)*S*((S-1/4)*k1^2+(465/208-(219/26)*S)*k1+(205/13)*S-1025/208)*(-2+k1)^2*M^2+(896/17739)*k1*(-5+k1)^2)*beta^4+(-(700/1971)*(2/3+lambda)^2*(lambda-(1/5)*k1+1)*(lambda+1-(1/10)*k1)*k1*R^5+(-4*M^2*lambda^5+((-3940/219+(1171/365)*k1)*M^2-(7000/1971)*k1)*lambda^4+(((12908/1095)*k1-(13802/16425)*k1^2-21004/657)*M^2+(700/657*(-100/9+k1))*k1)*lambda^3+(((5867/365)*k1-(4322/1825)*k1^2-6140/219+(131/1825)*k1^3)*M^2-(140/1971*(-35*k1+k1^2+1850/9))*k1)*lambda^2+(((3514/365)*k1+(454/3285)*k1^3-2656/219-(36298/16425)*k1^2)*M^2-(560/5913*(250/3+k1^2-20*k1))*k1)*lambda+((1091/16425)*k1^3-1360/657+(32/15)*k1-(3734/5475)*k1^2)*M^2-(560/17739)*k1*(-5+k1)*(-10+k1))*R^4+(4*M^2*(S-127/365)*lambda^5+(((-(1171/365)*S+1908/1825)*k1+(3940/219)*S-6712/1095)*M^2-(28000/1971)*k1)*lambda^4+((((13802/16425)*S-4414/16425)*k1^2+(20782/5475-(12908/1095)*S)*k1-6764/657+(21004/657)*S)*M^2+(2800/657*(-100/9+k1))*k1)*lambda^3+(((82/3285-(131/1825)*S)*k1^3+((4322/1825)*S-12236/16425)*k1^2+(16162/3285-(5867/365)*S)*k1-9088/1095+(6140/219)*S)*M^2-(560/1971*(-35*k1+k1^2+1850/9))*k1)*lambda^2+(((-(454/3285)*S+10/219)*k1^3+(-10886/16425+(36298/16425)*S)*k1^2+(44404/16425-(3514/365)*S)*k1-3536/1095+(2656/219)*S)*M^2-(2240/5913*(250/3+k1^2-20*k1))*k1)*lambda-(1091/16425*(-2+k1))*((S-340/1091)*k1^2+(-(9020/1091)*S+2384/1091)*k1+(17000/1091)*S-4000/1091)*M^2-(2240/17739)*k1*(-5+k1)*(-10+k1))*R^3+((6056/365*(589/1514+S))*M^2*lambda^5+(((-(23976/1825)*S-10473/1825)*k1+(78944/1095)*S+4700/219)*M^2-(56000/1971)*k1)*lambda^4+((((56204/16425)*S+27034/16425)*k1^2+(-87292/5475-(255764/5475)*S)*k1+89164/3285+(81064/657)*S)*M^2+(5600/657*(-100/9+k1))*k1)*lambda^3+(((-493/3285-(4852/16425)*S)*k1^3+((153496/16425)*S+59966/16425)*k1^2+(-51997/3285-(201668/3285)*S)*k1+17476/1095+(113936/1095)*S)*M^2-(1120/1971*(-35*k1+k1^2+1850/9))*k1)*lambda^2+(((-(604/1095)*S-18/73)*k1^3+(42266/16425+(138196/16425)*S)*k1^2+(-107374/16425-(580208/16425)*S)*k1+4544/1095+(47392/1095)*S)*M^2-(4480/5913*(250/3+k1^2-20*k1))*k1)*lambda-(4208/16425*((S+1585/4208)*k1^2+(-(4061/526)*S-1541/1052)*k1+(3650/263)*S+335/526))*(-2+k1)*M^2-(4480/17739)*k1*(-5+k1)*(-10+k1))*R^2+(-(76/5)*M^2*(S^2-530/1387+(137/73)*S)*lambda^5+((((43701/1825)*S+(22068/1825)*S^2-338/73)*k1-(23788/219)*S-(72232/1095)*S^2+5224/219)*M^2-(56000/1971)*k1)*lambda^4+(((-(10358/3285)*S^2-(107414/16425)*S+19772/16425)*k1^2+((234982/5475)*S^2+(409364/5475)*S-17024/1095)*k1-(538628/3285)*S+25528/657-(74300/657)*S^2)*M^2+(5600/657*(-100/9+k1))*k1)*lambda^3+((((4442/16425)*S^2+(9457/16425)*S-186/1825)*k1^3+(-(261286/16425)*S+5692/1825-(28252/3285)*S^2)*k1^2+((185506/3285)*S^2+(284273/3285)*S-7082/365)*k1-(134372/1095)*S+6872/219-(104848/1095)*S^2)*M^2-(1120/1971*(-35*k1+k1^2+1850/9))*k1)*lambda^2+((((554/1095)*S^2-604/3285+(1094/1095)*S)*k1^3+(43828/16425-(25462/3285)*S^2-(208486/16425)*S)*k1^2+((535804/16425)*S^2+(723158/16425)*S-3892/365)*k1+2752/219-(49888/1095)*S-(43856/1095)*S^2)*M^2-(4480/5913*(250/3+k1^2-20*k1))*k1)*lambda+(3868/16425*(((6953/3868)*S+S^2-673/1934)*k1^2+(2420/967-(10177/967)*S-(7526/967)*S^2)*k1+(13600/967)*S^2+(13790/967)*S-4100/967))*(-2+k1)*M^2-(4480/17739)*k1*(-5+k1)*(-10+k1))*R+(8056/365)*S*M^2*(S-5/19)*lambda^5+(-(33228/1825)*S*((S-325/1278)*k1-(119300/24921)*S+32650/24921)*M^2-(22400/1971)*k1)*lambda^4+((16076/3285)*S*((-4943/20095+S)*k1^2+(-(241554/20095)*S+12768/4019)*k1-31910/4019+(112366/4019)*S)*M^2+(2240/657*(-100/9+k1))*k1)*lambda^3+(-(6992/16425)*S*((S-837/3496)*k1^3+(-(25165/874)*S+12807/1748)*k1^2+(-159345/3496+(290345/1748)*S)*k1-(109590/437)*S+64425/874)*M^2-(448/1971*(-35*k1+k1^2+1850/9))*k1)*lambda^2+(-(824/1095*((S-151/618)*k1^3+(10957/3090-(8311/618)*S)*k1^2+(-2919/206+(76973/1545)*S)*k1+1720/103-(5668/103)*S))*S*M^2-(1792/5913*(250/3+k1^2-20*k1))*k1)*lambda-(5368/16425)*S*((-673/2684+S)*k1^2+(-(4318/671)*S+110/61)*k1+(6560/671)*S-2050/671)*(-2+k1)*M^2-(1792/17739)*k1*(-5+k1)*(-10+k1))*beta^3+((350/657)*(2/3+lambda)^2*(lambda^2+(2-(1/5)*k1)*lambda+(1/150)*k1^2+1-(1/5)*k1)*k1*R^5+(6*M^2*lambda^5+((1970/73-(1171/365)*k1)*M^2+(3500/657)*k1)*lambda^4+(((6901/16425)*k1^2+10502/219-(12908/1095)*k1)*M^2-(700/657*(k1-50/3))*k1)*lambda^3+((-(5867/365)*k1+3070/73+(2161/1825)*k1^2)*M^2+(70/1971*(1850/3+k1^2-70*k1))*k1)*lambda^2+((-(3514/365)*k1+1328/73+(18149/16425)*k1^2)*M^2+(280/5913)*k1*(250-40*k1+k1^2))*lambda+(-(32/15)*k1+680/219+(1867/5475)*k1^2)*M^2+(280/17739)*k1*(-30*k1+150+k1^2))*R^4+(-6*M^2*(S-127/365)*lambda^5+(((-1708/1825+(1171/365)*S)*k1+3356/365-(1970/73)*S)*M^2+(14000/657)*k1)*lambda^4+(((-(6901/16425)*S+1307/16425)*k1^2+(-18782/5475+(12908/1095)*S)*k1-(10502/219)*S+3382/219)*M^2-(2800/657*(k1-50/3))*k1)*lambda^3+(((4/657)*k1^3+(-(2161/1825)*S+3718/16425)*k1^2+((5867/365)*S-4894/1095)*k1-(3070/73)*S+4544/365)*M^2+(280/1971*(1850/3+k1^2-70*k1))*k1)*lambda^2+(((8/657)*k1^3+(-(18149/16425)*S+3343/16425)*k1^2+((3514/365)*S-13468/5475)*k1+1768/365-(1328/73)*S)*M^2+(1120/5913)*k1*(250-40*k1+k1^2))*lambda+((4/657)*k1^3+(932/16425-(1867/5475)*S)*k1^2+(-2656/5475+(32/15)*S)*k1-(680/219)*S+160/219)*M^2+(1120/17739)*k1*(-30*k1+150+k1^2))*R^3+(-(9084/365*(589/1514+S))*M^2*lambda^5+((((23576/1825)*S+10873/1825)*k1-(39472/365)*S-2350/73)*M^2+(28000/657)*k1)*lambda^4+(((-(26302/16425)*S-15317/16425)*k1^2+(91292/5475+(251764/5475)*S)*k1-44582/1095-(40532/219)*S)*M^2-(5600/657*(k1-50/3))*k1)*lambda^3+(((8/657-(8/657)*S)*k1^3+(-(71948/16425)*S-34783/16425)*k1^2+(18319/1095+(66236/1095)*S)*k1-8738/365-(56968/365)*S)*M^2+(560/1971*(1850/3+k1^2-70*k1))*k1)*lambda^2+(((-(16/657)*S+16/657)*k1^3+(-25333/16425-(64898/16425)*S)*k1^2+(38458/5475+(190736/5475)*S)*k1-2272/365-(23696/365)*S)*M^2+(2240/5913)*k1*(250-40*k1+k1^2))*lambda+((8/657-(8/657)*S)*k1^3+(-(19252/16425)*S-5867/16425)*k1^2+((40592/5475)*S+5536/5475)*k1-(32/3)*S-536/1095)*M^2+(2240/17739)*k1*(-30*k1+150+k1^2))*R^2+((114/5)*M^2*(S^2-530/1387+(137/73)*S)*lambda^5+(((-(21868/1825)*S^2-(44501/1825)*S+338/73)*k1+(11894/73)*S-2612/73+(36116/365)*S^2)*M^2+(28000/657)*k1)*lambda^4+((((4999/3285)*S^2-9886/16425+(57307/16425)*S)*k1^2+(-(417364/5475)*S-(232982/5475)*S^2+17024/1095)*k1-12764/219+(269314/1095)*S+(37150/219)*S^2)*M^2-(5600/657*(k1-50/3))*k1)*lambda^3+(((4/657)*S*(S-4)*k1^3+((140243/16425)*S+(13646/3285)*S^2-2846/1825)*k1^2+(-(61342/1095)*S^2-(96731/1095)*S+7082/365)*k1-3436/73+(52424/365)*S^2+(67186/365)*S)*M^2+(560/1971*(1850/3+k1^2-70*k1))*k1)*lambda^2+(((8/657)*S*(S-4)*k1^3+((12311/3285)*S^2+(112643/16425)*S-21914/16425)*k1^2+(-(177268/5475)*S^2-(246386/5475)*S+3892/365)*k1+(21928/365)*S^2+(24944/365)*S-1376/73)*M^2+(2240/5913)*k1*(250-40*k1+k1^2))*lambda+((4/657)*S*(S-4)*k1^3+(-2062/5475+(3664/3285)*S^2+(29707/16425)*S)*k1^2+(2384/1095-(46592/5475)*S-(37936/5475)*S^2)*k1+(11032/1095)*S+(2176/219)*S^2-656/219)*M^2+(2240/17739)*k1*(-30*k1+150+k1^2))*R-(12084/365)*S*M^2*(S-5/19)*lambda^5+(((-(338/73)*S+(33628/1825)*S^2)*k1-(9544/73)*S^2+(2612/73)*S)*M^2+(11200/657)*k1)*lambda^4+(-(8398/3285)*S*((-4943/20995+S)*k1^2+(1344/221-(489108/20995)*S)*k1-95730/4199+(17742/221)*S)*M^2-(2240/657*(k1-50/3))*k1)*lambda^3+((8/657)*S*(k1^3*S+(-(5273/10)*S+12807/100)*k1^2+(-31869/20+(58809/10)*S)*k1+7731/2-(65754/5)*S)*M^2+(224/1971*(1850/3+k1^2-70*k1))*k1)*lambda^2+((16/657)*S*(k1^3*S+(10957/200-(8731/40)*S)*k1^2+((77973/50)*S-8757/20)*k1+774-(12753/5)*S)*M^2+(896/5913)*k1*(250-40*k1+k1^2))*lambda+(8/657)*S*(k1^3*S+(3093/100-(596/5)*S)*k1^2+((15396/25)*S-894/5)*k1-(3936/5)*S+246)*M^2+(896/17739)*k1*(-30*k1+150+k1^2))*beta^2-(4*((175/1971*(2/3+lambda))*(lambda+1-(1/10)*k1)*k1*R^5+(M^2*lambda^3+((-(1171/4380)*k1+620/219)*M^2+(1750/1971)*k1)*lambda^2+((-(2351/4380)*k1+571/219)*M^2-(175/1971*(k1-50/3))*k1)*lambda+(170/219-(4/15)*k1)*M^2-(350/5913)*k1*(-10+k1))*R^4+(-M^2*(S-127/365)*lambda^3+((((1171/4380)*S-277/5475)*k1-(620/219)*S+1043/1095)*M^2+(7000/1971)*k1)*lambda^2+((-(2/219)*k1^2+(-1207/10950+(2351/4380)*S)*k1-(571/219)*S+826/1095)*M^2-(700/1971*(k1-50/3))*k1)*lambda+(-(2/219)*k1^2+((4/15)*S-232/5475)*k1+40/219-(170/219)*S)*M^2-(1400/5913)*k1*(-10+k1))*R^3+(-(1514/365*(589/1514+S))*M^2*lambda^3+((((5594/5475)*S+12073/21900)*k1-586/219-(12166/1095)*S)*M^2+(14000/1971)*k1)*lambda^2+(((-4/219+(4/219)*S)*k1^2+(14309/21900+(10657/5475)*S)*k1-1369/1095-(10472/1095)*S)*M^2-(1400/1971*(k1-50/3))*k1)*lambda+((-4/219+(4/219)*S)*k1^2+(892/5475+(4874/5475)*S)*k1-(8/3)*S-134/1095)*M^2-(2800/5913)*k1*(-10+k1))*R^2+((19/5)*M^2*(S^2-530/1387+(137/73)*S)*lambda^3+(((-(46901/21900)*S-(5317/5475)*S^2+169/438)*k1+(11123/1095)*S^2+(3344/219)*S-776/219)*M^2+(14000/1971)*k1)*lambda^2+((-(2/219)*S*(S-4)*k1^2+(-(20107/10950)*S^2-(68953/21900)*S+1429/2190)*k1+(9646/1095)*S^2-622/219+(11813/1095)*S)*M^2-(1400/1971*(k1-50/3))*k1)*lambda+(-(2/219)*S*(S-4)*k1^2+(298/1095-(6224/5475)*S-(4642/5475)*S^2)*k1-164/219+(2758/1095)*S+(544/219)*S^2)*M^2-(2800/5913)*k1*(-10+k1))*R-(2014/365)*S*M^2*(S-5/19)*lambda^3+((8707/5475)*S*((S-4225/17414)*k1-(68950/8707)*S+19400/8707)*M^2+(5600/1971)*k1)*lambda^2+(-(4/219)*S*(k1^2*S+(1429/40-(13661/100)*S)*k1-311/2+(2611/5)*S)*M^2-(560/1971*(k1-50/3))*k1)*lambda-(4/219)*S*(k1^2*S+(-(1333/25)*S+149/10)*k1-41+(656/5)*S)*M^2-(1120/5913)*k1*(-10+k1)))*(2/3+lambda)*(1+lambda)*beta+(2/3+lambda)^2*(1+lambda)*((175/1971)*k1*(1+lambda)*R^5+(1+lambda)*(M^2*lambda+(1750/1971)*k1+(85/73)*M^2)*R^4+(-M^2*(S-127/365)*lambda^2+((-(158/73)*S+(4/73)*k1+263/365)*M^2+(7000/1971)*k1)*lambda+(20/73+(4/73)*k1-(85/73)*S)*M^2+(7000/1971)*k1)*R^3+(-(1514/365*(589/1514+S))*M^2*lambda^2+(((8/73-(8/73)*S)*k1-8/5-(3046/365)*S)*M^2+(14000/1971)*k1)*lambda+((8/73-(8/73)*S)*k1-67/365-4*S)*M^2+(14000/1971)*k1)*R^2+((19/5)*M^2*(S^2-530/1387+(137/73)*S)*lambda^2+(((4/73)*S*(S-4)*k1+(3838/365)*S+(2783/365)*S^2-188/73)*M^2+(14000/1971)*k1)*lambda+((4/73)*S*(S-4)*k1+(1379/365)*S+(272/73)*S^2-82/73)*M^2+(14000/1971)*k1)*R-(2014/365)*S*M^2*(S-5/19)*lambda^2+((8/73)*S*(47/2+k1*S-(1627/20)*S)*M^2+(5600/1971)*k1)*lambda+(8/73)*S*(-(164/5)*S+41/4+k1*S)*M^2+(5600/1971)*k1))*(-1+beta)*k1/((R+2)^5*(1+lambda)*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2*((lambda-(1/5)*k1+1)*beta-lambda-1)^3);

gCaCa3 = -(3/40)*k1*M*(2+3*lambda)*(-85-102*R+84*k1*S-84*k1*R-37*k1*R^2*beta*lambda+182*k1*R*beta*lambda-108*S*k1*beta*lambda-112*k1*R*beta^2*lambda-36*S*beta^2*k1*lambda+74*R^2*beta^2*k1*lambda+60*beta^3*S*k1*lambda+14*beta^3*k1*R*lambda-37*beta^3*k1*lambda*R^2+272*S-37*lambda*k1*beta+969*S*beta^2*lambda^2+459*lambda^2*R*beta+1785*S*beta^2*lambda-12*S*beta^2*k1-37*beta^3*k1*lambda-765*R*beta^2*lambda-459*lambda^2*R*beta^2+4*beta^3*k1^2*R^2+765*lambda*R*beta+16*S*k1^2*beta^2+510*lambda*R^2*beta-37*k1*R^2*beta-969*S*beta*lambda^2-8*k1^2*R*beta^2-136*k1*R*beta^2-510*lambda*R^2*beta^2+74*R^2*beta^2*k1+74*k1*beta^2*lambda-255*lambda^2*R^2*beta^2+26*beta^3*k1*R+255*lambda^2*R^2*beta-4*k1^2*R^2*beta^2-37*beta^3*k1*R^2+8*beta^3*k1^2*R-16*beta^3*S*k1^2+48*beta^3*S*k1+194*k1*R*beta+153*lambda^2*beta^3*R+85*lambda^2*beta^3*R^2+255*lambda*beta^3*R+170*lambda*beta^3*R^2-120*S*k1*beta-1785*S*beta*lambda-323*beta^3*S*lambda^2-595*beta^3*S*lambda-85*lambda^2-85*R^2-255*beta^2-170*lambda+255*beta+85*beta^3-153*lambda^2*R-816*S*beta-85*lambda^2*R^2+816*S*beta^2-306*R*beta^2-170*lambda*R^2+306*R*beta+510*lambda*beta+595*S*lambda-255*lambda*R-37*k1*beta+255*R^2*beta-272*beta^3*S+74*k1*beta^2-255*R^2*beta^2+4*beta^3*k1^2-37*beta^3*k1-4*k1^2*beta^2+102*beta^3*R+85*beta^3*R^2+85*lambda^2*beta^3+170*lambda*beta^3+255*lambda^2*beta+323*S*lambda^2-510*lambda*beta^2-255*lambda^2*beta^2+84*k1*S*lambda-84*k1*lambda*R)/((20*R*beta+5*R^2*beta-20*lambda+20*lambda*beta-20*lambda*R-5*lambda*R^2+5*lambda*R^2*beta+20*lambda*R*beta-5*R^2-20*R+20*beta-20-4*k1*R*beta-k1*R^2*beta-4*k1*beta)*(1+lambda)*(-2+2*beta-3*lambda+3*lambda*beta-k1*beta)*(-k1*beta+7*lambda*beta-7+7*beta-7*lambda));

gCaCa4 = (72/175)*M^2*(R-S)*(-1+beta)*(((lambda-(1/5)*k1+1)*beta-lambda-1)*((lambda-(5/32)*k1+1)*beta-lambda-1)*R^2+(((9/5)*lambda^2+(-(73/160)*k1+3)*lambda+(1/16)*k1^2+6/5-(29/80)*k1)*beta^2+(-(18/5)*lambda^2+((37/160)*k1-6)*lambda+(11/80)*k1-12/5)*beta+(9/5*(1+lambda))*(2/3+lambda+(1/8)*k1))*R+((-(19/5)*lambda^2+(-7+(187/160)*k1)*lambda-16/5-(1/8)*k1^2+(43/40)*k1)*S+(lambda-(1/5)*k1+1)*(lambda-(5/32)*k1+1))*beta^2+(((38/5)*lambda^2+(-(151/160)*k1+14)*lambda-(17/20)*k1+32/5)*S-(2*(1+lambda))*(lambda+1-(57/320)*k1))*beta-(19/5*(1+lambda))*((lambda+16/19+(9/152)*k1)*S-(5/19)*lambda-5/19))*k1/((R+2)^4*((lambda-(1/9)*k1+1)*beta-lambda-1)*((lambda-(1/5)*k1+1)*beta-lambda-1)^2);

g2_0 = 3*k1*M*(S+R*beta-S*beta-R)/(5*R^2*beta+20*R*beta-20+20*beta-5*R^2-20*R-5*lambda*R^2+20*lambda*beta-20*lambda*R+5*lambda*R^2*beta+20*lambda*R*beta-20*lambda-4*k1*beta-4*k1*R*beta-k1*R^2*beta);
L2_0 = (3/4)*M*(((lambda-(1/5)*k1+1)*R^2+(6/5+(9/5)*lambda-(2/5)*k1)*R+(-(19/5)*S+1)*lambda+((4/5)*S-1/5)*k1+1-(16/5)*S)*beta+(-1-lambda)*R^2+(-6/5-(9/5)*lambda)*R+((19/5)*S-1)*lambda+(16/5)*S-1)/(((lambda-(1/5)*k1+1)*beta-1-lambda)*(R+2)^2);

gCaCa0= -(1/5)*L2_0^2-(2/5)*L2_0*g2_0; %constant appearing in the O(Ca)surfactant distribution due to shape deformation

% Overall expression of Order Ca  surfactant concentration

gCaCa = gCaCa0+gCaCa1*cos(theta)+gCaCa2*(-1/2+(3/2)*cos(theta)^2)+gCaCa3*((5/2)*cos(theta)^3-(3/2)*cos(theta))+gCaCa4*(3/8+(35/8)*cos(theta)^4-(15/4)*cos(theta)^2);


%%%%%%%%%%%%%%%%%%%
% Shape deformation
%%%%%%%%%%%%%%%%%%%
% Harmonic constant in O(Ca) drop deformation

L2_Ca = (3/4)*M*(((lambda-(1/5)*k1+1)*R^2+(6/5+(9/5)*lambda-(2/5)*k1)*R+(-(19/5)*S+1)*lambda+((4/5)*S-1/5)*k1+1-(16/5)*S)*beta+(-1-lambda)*R^2+(-6/5-(9/5)*lambda)*R+((19/5)*S-1)*lambda+(16/5)*S-1)/(((lambda-(1/5)*k1+1)*beta-1-lambda)*(R+2)^2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Harmonic constant in O(CaReE) drop deformation

L2_CaRe = (4671/1750)*M^2*(R-S)^2*(-1+beta)*(((242/173+lambda-(30/173)*k1)*beta-242/173-lambda)*R^2+((((242/173)*S+1340/519)*lambda+(188/173-(52/173)*k1)*S-(242/519)*k1+10/3)*beta+(-(242/173)*S-1340/519)*lambda-10/3-(188/173)*S)*R+(((920/519)*S+800/519)*lambda+(-(200/519)*k1+680/519)*S+920/519-(152/519)*k1)*beta+(-(920/519)*S-800/519)*lambda-(680/519)*S-920/519)/((R+2)^5*((lambda-(1/5)*k1+1)*beta-1-lambda)^2*(R+4/3));

L3_CaRe = -(351/700)*M*(R-S)*(-1+beta)*(lambda+2/3)*(((15/13-(5/39)*k1+lambda)*R+(-2/13+(44/13)*S)*lambda-5/13+(40/13-(20/39)*k1)*S)*beta+(-15/13-lambda)*R+(2/13-(44/13)*S)*lambda+5/13-(40/13)*S)/((R+2)^2*(R+3/2)*((2/3-(1/3)*k1+lambda)*beta-2/3-lambda)*(1+lambda)*((1+lambda-(1/7)*k1)*beta-lambda-1));

L4_CaRe = (132/175)*M^2*(R-S)^2*(-1+beta)*(((lambda+12/11-(10/99)*k1)*R+((34/11)*S-16/33)*lambda+(32/11-(4/11)*k1)*S+(4/99)*k1-20/33)*beta+(-lambda-12/11)*R+(16/33-(34/11)*S)*lambda-(32/11)*S+20/33)/((R+2)^4*(R+4/3)*((1+lambda-(1/9)*k1)*beta-lambda-1)*((lambda-(1/5)*k1+1)*beta-1-lambda));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Harmonic constant in O(Ca^2) drop deformation

L0_Ca2 = -1/5*L2_Ca^2;

L2_Ca2 = (711/560)*(((lambda-(1/5)*k1+1)^2*((lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*(lambda-(1/5)*k1+1)*M^2-(7/2133)*(2/3+lambda)^2*k1^2*(lambda+4))*R^5+(943/395*((lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*(lambda^2+(-(2452/4715)*k1+1373/943)*lambda+394/943+(302/4715)*k1^2-(1948/4715)*k1)*M^2-(350/25461*(lambda-(1/5)*k1+1))*(2/3+lambda)^2*k1^2*(lambda+4)))*(lambda-(1/5)*k1+1)*R^4+(-(2993/395)*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*((-1718/14965+S)*lambda^3+((-(1909/2993)*S+13379/74825)*k1-2994/14965+(8466/2993)*S)*lambda^2+((-4402/74825+(10112/74825)*S)*k1^2+(-(18073/14965)*S+20872/74825)*k1+(7917/2993)*S-978/14965)*lambda+(-(712/74825)*S+418/74825)*k1^3+((9608/74825)*S-3598/74825)*k1^2+(-(8492/14965)*S+7574/74825)*k1+38/2993+(2444/2993)*S)*M^2-(280/2133)*(lambda-(1/5)*k1+1)^2*(2/3+lambda)^2*k1^2*(lambda+4))*R^3+(-(8816/1975)*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*((5411/8816+S)*lambda^3+((-(22709/22040)*S-7769/44080)*k1+7185/4408+(1821/1102)*S)*lambda^2+((-31/5510+(163/551)*S)*k1^2+(-(7993/5510)*S-13567/44080)*k1+(186/551)*S+13947/8816)*lambda+(-(72/2755)*S+1/290)*k1^3+((124/551)*S-1/290)*k1^2+(-(1168/2755)*S-1841/11020)*k1+1193/2204-(160/551)*S)*M^2-(560/2133)*(lambda-(1/5)*k1+1)^2*(2/3+lambda)^2*k1^2*(lambda+4))*R^2+((28348/1975)*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*(((17687/28348)*S-6575/28348+S^2)*lambda^3+((-(95789/141740)*S^2-(32683/141740)*S+3317/28348)*k1+(18831/7087)*S^2+(20955/14174)*S-17295/28348)*lambda^2+(((112/7087)*S+(5347/35435)*S^2-2687/141740)*k1^2+(1411/7087-(46439/141740)*S-(42643/35435)*S^2)*k1+(16437/7087)*S^2+(34179/28348)*S-15225/28348)*lambda+(-(396/35435)*S^2+(42/35435)*S+137/141740)*k1^3+((4768/35435)*S^2+(46/7087)*S-2183/141740)*k1^2+(-(18716/35435)*S^2-(4357/35435)*S+2399/28348)*k1+(2381/7087)*S-4505/28348+(4720/7087)*S^2)*M^2-(560/2133)*(lambda-(1/5)*k1+1)^2*(2/3+lambda)^2*k1^2*(lambda+4))*R-(34276/1975)*(lambda-(1/3)*k1+2/3)^2*(1+lambda)^2*((S-235/902)*(S-5/19)*lambda^3+((-(45457/85690)*S^2+(461/1558)*S-705/17138)*k1+(23385/8569)*S^2-(12855/8569)*S+3525/17138)*lambda^2+((-(58/1045)*S+(3922/42845)*S^2+141/17138)*k1^2+(-705/8569+(877/1558)*S-(41218/42845)*S^2)*k1+(21558/8569)*S^2-(24675/17138)*S+3525/17138)*lambda-(216/42845*(S-1/4))*(S-47/108)*k1^3+((3568/42845)*S^2-(2252/42845)*S+141/17138)*k1^2+(-(19016/42845)*S^2+(2306/8569)*S-705/17138)*k1+(32/41*(S-5/16))*(S-235/836))*M^2-(224/2133)*(lambda-(1/5)*k1+1)^2*(2/3+lambda)^2*k1^2*(lambda+4))*beta^5+(-(5*(lambda-(1/5)*k1+1))*((lambda-(1/3)*k1+2/3)*(lambda^2+(-(7/25)*k1+5/3)*lambda-(19/75)*k1+2/3)*(1+lambda)^2*(lambda-(1/5)*k1+1)*M^2-(28/10665)*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^5+(-(943/79*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*(lambda^4+(-(3659/4715)*k1+8834/2829)*lambda^3+(-(131176/70725)*k1+3311/943+(69608/353625)*k1^2)*lambda^2+(-(100793/70725)*k1-(5774/353625)*k1^3+1572/943+(112624/353625)*k1^2)*lambda-(4666/353625)*k1^3-(24646/70725)*k1+(44168/353625)*k1^2+788/2829)*M^2+(280/2133*(lambda-(1/5)*k1+1))*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^4+((2993/79*(lambda-(1/3)*k1+2/3))*((-1718/14965+S)*lambda^4+((62106/374125-(10629/14965)*S)*k1-12418/44895+(31384/8979)*S)*lambda^3+(((186458/1122375)*S-66316/1122375)*k1^2+(-(420226/224475)*S+402406/1122375)*k1-2974/14965+(13561/2993)*S)*lambda^2+((1378/224475-(14384/1122375)*S)*k1^3+(-100258/1122375+(327874/1122375)*S)*k1^2+(-(365243/224475)*S+272534/1122375)*k1-462/14965+(7722/2993)*S)*lambda+(346/74825-(4152/374125)*S)*k1^3+(-12192/374125+(142568/1122375)*S)*k1^2+(-(104596/224475)*S+57742/1122375)*k1+(4888/8979)*S+76/8979)*(1+lambda)^2*M^2+(1120/2133*(lambda-(1/5)*k1+1))*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^3+((8816/395*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*((5411/8816+S)*lambda^4+((-58131/220400-(28219/27550)*S)*k1+13483/6612+(7667/3306)*S)*lambda^3+((6713/330600+(52019/165300)*S)*k1^2+(-(168649/82650)*S-220253/330600)*k1+23527/8816+(793/551)*S)*lambda^2+((14/8265-(131/4350)*S)*k1^3+((18428/41325)*S+12419/330600)*k1^2+(-(1682/1425)*S-406109/661200)*k1-(36/551)*S+7035/4408)*lambda+(1/1102-(898/41325)*S)*k1^3+(31/1450+(2012/13775)*S)*k1^2+(-(6944/41325)*S-1717/8700)*k1+1193/3306-(320/1653)*S)*M^2+(2240/2133*(lambda-(1/5)*k1+1))*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^2+(-(28348/395*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*(((17687/28348)*S-6575/28348+S^2)*lambda^4+((-(219167/708700)*S+19843/141740-(131224/177175)*S^2)*k1-65035/85044+(70667/21261)*S^2+(40276/21261)*S)*lambda^3+(((2257/55950)*S-57353/2126100+(38401/212610)*S^2)*k1^2+(146149/425220-(985759/531525)*S^2-(38089/55950)*S)*k1-26755/28348+(28991/7087)*S^2+(62119/28348)*S)*lambda^2+((-(328/531525)*S+3509/2126100-(7718/531525)*S^2)*k1^3+((57859/1063050)*S+(32042/106305)*S^2-92209/2126100)*k1^2+(-(812291/531525)*S^2+23923/85044-(1093333/2126100)*S)*k1+(15678/7087)*S^2-14655/28348+(16155/14174)*S)*lambda+(-(6332/531525)*S^2-(142/531525)*S+2731/2126100)*k1^3+((3418/177175)*S-488/27975+(880/7087)*S^2)*k1^2+(-(70571/531525)*S+32707/425220-(220528/531525)*S^2)*k1-4505/42522+(4762/21261)*S+(9440/21261)*S^2)*M^2+(2240/2133*(lambda-(1/5)*k1+1))*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R+(34276/395*(lambda-(1/3)*k1+2/3))*(1+lambda)^2*((S-235/902)*(S-5/19)*lambda^4+(((29259/85690)*S-799/17138-(133759/214225)*S^2)*k1+1175/4674+(87293/25707)*S^2-(47540/25707)*S)*lambda^3+((-(46757/642675)*S+(16157/128535)*S^2+47/4510)*k1^2+(-(1027219/642675)*S^2+(116731/128535)*S-2209/17138)*k1+5875/17138+(37148/8569)*S^2-(41815/17138)*S)*lambda^2+(((3266/642675)*S-(5228/642675)*S^2-329/428450)*k1^3+(329/17138-(82771/642675)*S+(27644/128535)*S^2)*k1^2+(-2021/17138-(881306/642675)*S^2+(41309/51414)*S)*k1+(21060/8569*(S-47/156))*(S-5/18))*lambda+(-(4472/642675)*S^2+(948/214225)*S-47/67650)*k1^3+(376/42845-(892/15675)*S+(3968/42845)*S^2)*k1^2+((30358/128535)*S-611/17138-(252448/642675)*S^2)*k1+(64/123*(S-5/16))*(S-235/836))*M^2+(896/2133*(lambda-(1/5)*k1+1))*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*beta^4+(((10*(lambda^4+(-(14/25)*k1+10/3)*lambda^3+(37/9+(29/375)*k1^2-(36/25)*k1)*lambda^2+(20/9-(274/225)*k1+(52/375)*k1^2)*lambda-(76/225)*k1+(139/2250)*k1^2+4/9))*(1+lambda)^2*(lambda-(1/5)*k1+1)*M^2-(14/711*(lambda^2+(-(1/5)*k1+2)*lambda+1-(1/5)*k1+(1/150)*k1^2))*(2/3+lambda)^2*k1^2*(lambda+4))*R^5+((1886/79*(lambda^5+(-(3923/4715)*k1+10720/2829)*lambda^4+((161083/707250)*k1^2+47467/8487-(181037/70725)*k1)*lambda^3+(-(8693/424350)*k1^3-(203264/70725)*k1+(188828/353625)*k1^2+11338/2829)*lambda^2+(-(337/10350)*k1^3-(98356/70725)*k1+(287239/707250)*k1^2+3932/2829)*lambda-(107/8487)*k1^3+1576/8487+(35261/353625)*k1^2-(17248/70725)*k1))*(1+lambda)^2*M^2-(140/711*(lambda^2+(-(1/5)*k1+2)*lambda+1-(1/5)*k1+(1/150)*k1^2))*(2/3+lambda)^2*k1^2*(lambda+4))*R^4+(-(5986/79)*(1+lambda)^2*((-1718/14965+S)*lambda^5+((-(11713/14965)*S+57317/374125)*k1-15854/44895+(37370/8979)*S)*lambda^4+((-64151/1122375+(452183/2244750)*S)*k1^2+(472576/1122375-(591037/224475)*S)*k1-51602/134685+(184817/26937)*S)*lambda^3+((43313/6734250-(22961/1346850)*S)*k1^3+(-138982/1122375+(576278/1122375)*S)*k1^2+(-(738314/224475)*S+461366/1122375)*k1+(50288/8979)*S-7334/44895)*lambda^2+((2/673425)*k1^4+(31982/3367125-(961/32850)*S)*k1^3+((969889/2244750)*S-32261/374125)*k1^2+(188236/1122375-(405856/224475)*S)*k1+(20332/8979)*S-544/44895)*lambda+(8/673425)*k1^4+(-(8374/673425)*S+3833/1122375)*k1^3+((134686/1122375)*S-21709/1122375)*k1^2+(8832/374125-(27616/74825)*S)*k1+(9776/26937)*S+152/26937)*M^2-(560/711*(lambda^2+(-(1/5)*k1+2)*lambda+1-(1/5)*k1+(1/150)*k1^2))*(2/3+lambda)^2*k1^2*(lambda+4))*R^3+(-(17632/395*((5411/8816+S)*lambda^5+((-77417/220400-(112207/110200)*S)*k1+(9871/3306)*S+32377/13224)*lambda^4+((71797/1322400+(108397/330600)*S)*k1^2+(-(108367/41325)*S-754651/661200)*k1+(14804/4959)*S+319607/79344)*lambda^3+((-(66773/1983600)*S-5393/3967200)*k1^3+((27563/41325)*S+11369/82650)*k1^2+(-(187229/82650)*S-482983/330600)*k1+5579/1653+(1478/1653)*S)*lambda^2+((1/99180-(1/99180)*S)*k1^4+(-(23401/495900)*S-12079/3967200)*k1^3+((5749/13775)*S+55817/440800)*k1^2+(-35296/41325-(28922/41325)*S)*k1-(392/1653)*S+9421/6612)*lambda+(-(1/24795)*S+1/24795)*k1^4+(-(1928/123975)*S-619/330600)*k1^3+((1052/13775)*S+13337/330600)*k1^2+(-2602/13775-(1472/41325)*S)*k1+1193/4959-(640/4959)*S))*(1+lambda)^2*M^2-(1120/711*(lambda^2+(-(1/5)*k1+2)*lambda+1-(1/5)*k1+(1/150)*k1^2))*(2/3+lambda)^2*k1^2*(lambda+4))*R^2+((56696/395)*(1+lambda)^2*(((17687/28348)*S-6575/28348+S^2)*lambda^5+((-(274919/708700)*S+23101/141740-(570847/708700)*S^2)*k1-4115/4476+(84841/21261)*S^2+(98239/42522)*S)*lambda^4+(((305413/4252200)*S-19571/531525+(454393/2126100)*S^2)*k1^2+(22067/42522-(2421187/2126100)*S-(1377824/531525)*S^2)*k1+(402253/63783)*S^2+(881279/255132)*S-370865/255132)*lambda^3+((-(238133/12756600)*S^2-(45571/12756600)*S+1697/637830)*k1^3+((164479/1063050)*S-187013/2126100+(276319/531525)*S^2)*k1^2+(-(1354211/1063050)*S+263117/425220-(1645679/531525)*S^2)*k1+(105016/21261)*S^2-97475/85044+(55292/21261)*S)*lambda^2+(-(1/637830)*S*(-4+S)*k1^4+(-(63383/12756600)*S-(97111/3189150)*S^2+5371/1275660)*k1^3+((161793/1417400)*S+(147799/354350)*S^2-297919/4252200)*k1^2+(-(341048/531525)*S-(865504/531525)*S^2+69647/212610)*k1+(20917/21261)*S-9580/21261+(40796/21261)*S^2)*lambda-(2/318915)*S*(-4+S)*k1^4+(851/510264-(5749/3189150)*S-(19606/1594575)*S^2)*k1^3+(-79237/4252200+(19576/177175)*S^2+(10191/354350)*S)*k1^2+(-(65048/531525)*S-(169264/531525)*S^2+6904/106305)*k1-4505/63783+(9524/63783)*S+(18880/63783)*S^2)*M^2-(1120/711*(lambda^2+(-(1/5)*k1+2)*lambda+1-(1/5)*k1+(1/150)*k1^2))*(2/3+lambda)^2*k1^2*(lambda+4))*R-(68552/395*((S-235/902)*(S-5/19)*lambda^5+((-47/902+(33163/85690)*S-(307751/428450)*S^2)*k1+15275/51414+(104431/25707)*S^2-(56515/25707)*S)*lambda^4+((3337/257070-(5849/62700)*S+(107302/642675)*S^2)*k1^2+(-4700/25707+(67567/51414)*S-(1516634/642675)*S^2)*k1-(566495/154242)*S+(508918/77121)*S^2+78725/154242)*lambda^3+((-1363/1285350+(11311/1542420)*S-(96649/7712100)*S^2)*k1^3+(-(154247/642675)*S+2961/85690+(534803/1285350)*S^2)*k1^2+((214223/128535)*S-(1871114/642675)*S^2-4089/17138)*k1+1175/2706+(137476/25707)*S^2-(78400/25707)*S)*lambda^2+((1/385605)*k1^4*S^2+(-1222/642675+(19567/1542420)*S-(3703/175275)*S^2)*k1^3+(-(47977/233700)*S+(74297/214225)*S^2+5217/171380)*k1^2+(-1175/8569-(1024864/642675)*S^2+(120136/128535)*S)*k1+4700/25707+(55496/25707)*S^2-(32330/25707)*S)*lambda+(4/385605)*k1^4*S^2+(-6533/7712100-(17236/1928025)*S^2+(2113/385605)*S)*k1^3+(-(37489/642675)*S+(20656/214225)*S^2+4559/514140)*k1^2+(-752/25707-(209824/642675)*S^2+(8368/42845)*S)*k1+(128/369*(S-5/16))*(S-235/836)))*(1+lambda)^2*M^2-(448/711*(lambda^2+(-(1/5)*k1+2)*lambda+1-(1/5)*k1+(1/150)*k1^2))*(2/3+lambda)^2*k1^2*(lambda+4))*beta^3-(10*(((1+lambda)^2*(lambda^4+(10/3-(38/75)*k1)*lambda^3+(37/9-(286/225)*k1+(71/1125)*k1^2)*lambda^2+(20/9+(118/1125)*k1^2-(236/225)*k1)*lambda+(97/2250)*k1^2+4/9-(64/225)*k1)*M^2-(14/10665)*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^5+((943/395*(lambda^5+(-(7846/14145)*k1+10720/2829)*lambda^4+(-(362074/212175)*k1+(161083/2121750)*k1^2+47467/8487)*lambda^3+((188828/1060875)*k1^2-(406528/212175)*k1+11338/2829)*lambda^2+(3932/2829-(196712/212175)*k1+(287239/2121750)*k1^2)*lambda+1576/8487-(34496/212175)*k1+(35261/1060875)*k1^2))*(1+lambda)*M^2-(28/2133)*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^4+(-(2993/395*(1+lambda))*((-1718/14965+S)*lambda^5+((-(23426/44895)*S+114634/1122375)*k1-15854/44895+(37370/8979)*S)*lambda^4+(((452183/6734250)*S-63971/3367125)*k1^2+(-(1182074/673425)*S+945152/3367125)*k1-51602/134685+(184817/26937)*S)*lambda^3+(-(4/224475)*k1^3+(-138022/3367125+(576278/3367125)*S)*k1^2+(922732/3367125-(1476628/673425)*S)*k1+(50288/8979)*S-7334/44895)*lambda^2+(-(56/673425)*k1^3+((969889/6734250)*S-95743/3367125)*k1^2+(-(811712/673425)*S+376472/3367125)*k1+(20332/8979)*S-544/44895)*lambda-(32/673425)*k1^3+((134686/3367125)*S-293/46125)*k1^2+(-(55232/224475)*S+5888/374125)*k1+(9776/26937)*S+152/26937)*M^2-(112/2133)*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^3+(-(8816/1975*(1+lambda))*((5411/8816+S)*lambda^5+((-(112207/165300)*S-77417/330600)*k1+(9871/3306)*S+32377/13224)*lambda^4+(((108217/991800)*S+72517/3967200)*k1^2+(-(216734/123975)*S-754651/991800)*k1+(14804/4959)*S+319607/79344)*lambda^3+((-1/16530+(1/16530)*S)*k1^3+((27443/123975)*S+611/13050)*k1^2+(-(187229/123975)*S-482983/495900)*k1+5579/1653+(1478/1653)*S)*lambda^2+((-7/24795+(7/24795)*S)*k1^3+((17117/123975)*S+171611/3967200)*k1^2+(-70592/123975-(57844/123975)*S)*k1-(392/1653)*S+9421/6612)*lambda+((4/24795)*S-4/24795)*k1^3+(13657/991800+(164/6525)*S)*k1^2+(-5204/41325-(2944/123975)*S)*k1+1193/4959-(640/4959)*S)*M^2-(224/2133)*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R^2+((28348/1975*(1+lambda))*(((17687/28348)*S-6575/28348+S^2)*lambda^5+((-(274919/1063050)*S-(570847/1063050)*S^2+23101/212610)*k1-4115/4476+(84841/21261)*S^2+(98239/42522)*S)*lambda^4+(((306853/12756600)*S+(454213/6378300)*S^2-19571/1594575)*k1^2+(-(2421187/3189150)*S+22067/63783-(2755648/1594575)*S^2)*k1+(402253/63783)*S^2+(881279/255132)*S-370865/255132)*lambda^3+((1/106305)*S*(-4+S)*k1^3+((276079/1594575)*S^2-187013/6378300+(166399/3189150)*S)*k1^2+(-(3291358/1594575)*S^2+263117/637830-(1354211/1594575)*S)*k1+(105016/21261)*S^2-97475/85044+(55292/21261)*S)*lambda^2+((14/318915)*S*(-4+S)*k1^3+((493699/12756600)*S-297919/12756600+(442877/3189150)*S^2)*k1^2+(-(682096/1594575)*S+69647/318915-(1731008/1594575)*S^2)*k1+(20917/21261)*S-9580/21261+(40796/21261)*S^2)*lambda+(8/318915)*S*(-4+S)*k1^3+((31213/3189150)*S+(58648/1594575)*S^2-79237/12756600)*k1^2+(-(338528/1594575)*S^2-(130096/1594575)*S+13808/318915)*k1-4505/63783+(9524/63783)*S+(18880/63783)*S^2)*M^2-(224/2133)*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1))*R-(34276/1975*(1+lambda))*((S-235/902)*(S-5/19)*lambda^5+((-47/1353+(33163/128535)*S-(307751/642675)*S^2)*k1+15275/51414+(104431/25707)*S^2-(56515/25707)*S)*lambda^4+((3337/771210+(107392/1928025)*S^2-(5849/188100)*S)*k1^2+(-9400/77121-(3033268/1928025)*S^2+(67567/77121)*S)*k1-(566495/154242)*S+(508918/77121)*S^2+78725/154242)*lambda^3+(-(2/128535)*k1^3*S^2+(-(154247/1928025)*S+987/85690+(535763/3856050)*S^2)*k1^2+(-1363/8569-(3742228/1928025)*S^2+(428446/385605)*S)*k1+1175/2706+(137476/25707)*S^2-(78400/25707)*S)*lambda^2+(-(28/385605)*k1^3*S^2+((223411/1928025)*S^2+1739/171380-(47977/701100)*S)*k1^2+((240272/385605)*S-2350/25707-(2049728/1928025)*S^2)*k1+4700/25707+(55496/25707)*S^2-(32330/25707)*S)*lambda-(16/385605)*k1^3*S^2+(4559/1542420+(5648/175275)*S^2-(37489/1928025)*S)*k1^2+(-1504/77121+(16736/128535)*S-(419648/1928025)*S^2)*k1+(128/369*(S-5/16))*(S-235/836))*M^2-(448/10665)*(2/3+lambda)^2*k1^2*(lambda+4)*(1+lambda-(1/10)*k1)))*(1+lambda)*beta^2+(5*(((lambda^2+(5/3-(19/75)*k1)*lambda+2/3-(16/75)*k1)*(1+lambda)^2*M^2-(7/10665*(2/3+lambda))*k1^2*(lambda+4))*R^5+(((943/395)*lambda^4+(8834/1185-(3923/5925)*k1)*lambda^3+(3311/395-(47269/29625)*k1)*lambda^2+(-(36242/29625)*k1+1572/395)*lambda+788/1185-(8624/29625)*k1)*M^2-(14/2133*(2/3+lambda))*k1^2*(lambda+4))*R^4+(((1718/1975-(2993/395)*S)*lambda^4+((-57317/148125+(11713/5925)*S)*k1+12418/5925-(31384/1185)*S)*lambda^3+(-(4/9875)*k1^2+(-119314/148125+(157969/29625)*S)*k1+2974/1975-(13561/395)*S)*lambda^2+(-(56/29625)*k1^2+((140792/29625)*S-74246/148125)*k1-(7722/395)*S+462/1975)*lambda-(32/29625)*k1^2+((13808/9875)*S-4416/49375)*k1-76/1185-(4888/1185)*S)*M^2-(56/2133*(2/3+lambda))*k1^2*(lambda+4))*R^3+(((-5411/1975-(8816/1975)*S)*lambda^4+((77417/148125+(224414/148125)*S)*k1-53932/5925-(61336/5925)*S)*lambda^3+((-8/9875+(8/9875)*S)*k1^2+((428348/148125)*S+199939/148125)*k1-23527/1975-(12688/1975)*S)*lambda^2+(((112/29625)*S-112/29625)*k1^2+(188696/148125+(213712/148125)*S)*k1-2814/395+(576/1975)*S)*lambda+(-64/29625+(64/29625)*S)*k1^2+(20816/49375+(11776/148125)*S)*k1+(1024/1185)*S-9544/5925)*M^2-(112/2133*(2/3+lambda))*k1^2*(lambda+4))*R^2+(((-263/79+(17687/1975)*S+(28348/1975)*S^2)*lambda^4+((23101/29625-(274919/148125)*S-(570847/148125)*S^2)*k1-13007/1185+(282668/5925)*S^2+(161104/5925)*S)*lambda^3+(-(4/9875)*S*(-4+S)*k1^2+(-(623783/148125)*S+58156/29625-(1456534/148125)*S^2)*k1-5351/395+(115964/1975)*S^2+(62119/1975)*S)*lambda^2+(-(56/29625)*S*(-4+S)*k1^2+(-(486952/148125)*S+9787/5925-(1223216/148125)*S^2)*k1+(62712/1975)*S^2-2931/395+(6462/395)*S)*lambda-(32/29625)*S*(-4+S)*k1^2+(-(130096/148125)*S-(338528/148125)*S^2+13808/29625)*k1+(19048/5925)*S-1802/1185+(7552/1185)*S^2)*M^2-(112/2133*(2/3+lambda))*k1^2*(lambda+4))*R+((-94/79+(718/79)*S-(34276/1975)*S^2)*lambda^4+((-(66326/29625)*S+1786/5925+(615502/148125)*S^2)*k1-1034/237-(349172/5925)*S^2+(38032/1185)*S)*lambda^3+(-(8/9875)*k1^2*S^2+(1692/1975+(1611844/148125)*S^2-(181006/29625)*S)*k1-(148592/1975)*S^2+(16726/395)*S-470/79)*lambda^2+(-(112/29625)*k1^2*S^2+(-(32992/5925)*S+(1420256/148125)*S^2+1598/1975)*k1-(16848/395)*S^2-282/79+(9756/395)*S)*lambda-(64/29625)*k1^2*S^2+(1504/5925+(5312/1875)*S^2-(16736/9875)*S)*k1-188/237+(6352/1185)*S-(53504/5925)*S^2)*M^2-(224/10665*(2/3+lambda))*k1^2*(lambda+4)))*(1+lambda)^2*(2/3+lambda)*beta-(1+lambda)^2*M^2*((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*S+1)*lambda-(16/5)*S+1)*(2/3+lambda)^2*((1+lambda)^2*R^3+(-16/79+(188/395)*lambda+(232/395)*lambda^2)*R^2+((-(1492/395)*S-469/395)*lambda^2+(-734/395-(2708/395)*S)*lambda-337/395-(236/79)*S)*R+((1804/395)*S-94/79)*lambda^2+((3404/395)*S-188/79)*lambda-94/79+(1672/395)*S))/((R+2)^5*(1+lambda)^2*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)^2*((lambda-(1/5)*k1+1)*beta-lambda-1)^3);

L3_Ca2 = -(261/560)*(((1-(19/5)*S+(9/5)*R+R^2)*lambda^3+((-(391/435)*k1+92/29)*R^2+(-(1202/725)*k1+741/145)*R+((7516/2175)*S-391/435)*k1+92/29-(1661/145)*S)*lambda^2+((-(803/435)*k1+97/29+(479/2175)*k1^2)*R^2+((31/75)*k1^2+684/145-(2168/725)*k1)*R+(479/2175-(619/725)*S)*k1^2+((14534/2175)*S-803/435)*k1-(1654/145)*S+97/29)*lambda-(7/435*(-5+k1))*(k1^2-(62/7)*k1+102/7)*R^2+((154/435)*k1^2-(192/145)*k1-(14/435)*k1^3+204/145)*R+((28/435)*S-7/435)*k1^3+(-(4/5)*S+97/435)*k1^2+(-412/435+(280/87)*S)*k1+34/29-(544/145)*S)*beta^3+((-3+(57/5)*S-(27/5)*R-3*R^2)*lambda^3+((-276/29+(782/435)*k1)*R^2+(-2223/145+(2404/725)*k1)*R+(782/435-(15032/2175)*S)*k1-276/29+(4983/145)*S)*lambda^2+((-291/29-(479/2175)*k1^2+(1606/435)*k1)*R^2+(-(35/87)*k1^2-2052/145+(4336/725)*k1)*R+((611/725)*S-479/2175)*k1^2+(-(29068/2175)*S+1606/435)*k1+(4962/145)*S-291/29)*lambda+(-102/29+(824/435)*k1-(97/435)*k1^2)*R^2+((384/145)*k1-(142/435)*k1^2-612/145)*R+((112/145)*S-97/435)*k1^2+(824/435-(560/87)*S)*k1+(1632/145)*S-102/29)*beta^2+((3-(57/5)*S+(27/5)*R+3*R^2)*lambda^3+((-(391/435)*k1+276/29)*R^2+(-(1202/725)*k1+2223/145)*R+((7516/2175)*S-391/435)*k1+276/29-(4983/145)*S)*lambda^2+((291/29-(803/435)*k1)*R^2+(2052/145-(8/725)*k1^2-(2168/725)*k1)*R+(8/725)*S*k1^2+((14534/2175)*S-803/435)*k1-(4962/145)*S+291/29)*lambda+(102/29-(412/435)*k1)*R^2-(4/145*(k1+51))*(k1-3)*R+(4/145)*S*k1^2+(-412/435+(280/87)*S)*k1+102/29-(1632/145)*S)*beta-((1-(19/5)*S+(9/5)*R+R^2)*lambda+(6/5)*R+R^2-(16/5)*S+1)*(1+lambda)*(lambda+34/29))*M*(2/3+lambda)/((1+lambda)*((lambda-(1/5)*k1+1)*beta-lambda-1)*(R+2)^2*((lambda-(1/3)*k1+2/3)*beta-2/3-lambda)*((lambda+1-(1/7)*k1)*beta-lambda-1));

L4_Ca2 = (117/280)*(((lambda-(1/9)*k1+1)*(lambda-(1/5)*k1+1)^2*R^4+(92/39*(lambda^2+(-(127/276)*k1+213/115)*lambda+98/115+(9/230)*k1^2-(152/345)*k1))*(lambda-(1/5)*k1+1)*R^3+((-(248/39)*S+977/325)*lambda^3+((-3652/195+(2107/585)*k1)*S-(248/117)*k1+2969/325)*lambda^2+((-3584/195-(631/975)*k1^2+(20731/2925)*k1)*S+2958/325-(478/117)*k1+(434/975)*k1^2)*lambda+(106/2925*(-5+k1))*(k1^2-(668/53)*k1+1758/53)*S-(82/2925)*k1^3+(82/195)*k1^2+966/325-(5714/2925)*k1)*R^2+((92/39-(6562/975)*S)*lambda^3+(((3106/585)*k1-19234/975)*S+1312/195-(911/585)*k1)*lambda^2+((-18488/975-(1142/975)*k1^2+(29482/2925)*k1)*S+(181/585)*k1^2-(8771/2925)*k1+1244/195)*lambda+(-5816/975-(1076/975)*k1^2+(44/585)*k1^3+(2776/585)*k1)*S-(6/325*(-5+k1))*(196/9+k1^2-(304/27)*k1))*R+(1+(9481/975)*S^2-(248/39)*S)*lambda^3+((-(244/39)*k1+27877/975)*S^2+(-3652/195+(2107/585)*k1)*S+3-(23/45)*k1)*lambda^2+(((1202/975)*k1^2+27164/975-(11824/975)*k1)*S^2+(-3584/195-(631/975)*k1^2+(20731/2925)*k1)*S+3+(19/225)*k1^2-(46/45)*k1)*lambda+(8768/975-(1904/325)*k1-(24/325)*k1^3+(232/195)*k1^2)*S^2+(106/2925*(-5+k1))*(k1^2-(668/53)*k1+1758/53)*S-(1/225*(k1-9))*(-5+k1)^2)*beta^3+(-(3*(lambda-(19/135)*k1+1))*(1+lambda)*(lambda-(1/5)*k1+1)*R^4+(-(92/13)*lambda^3+(-1312/65+(1822/585)*k1)*lambda^2+(-1244/65-(181/585)*k1^2+(17542/2925)*k1)*lambda-392/65-(878/2925)*k1^2+(8432/2925)*k1)*R^3+(((248/13)*S-2931/325)*lambda^3+((3652/65-(4214/585)*k1)*S-8907/325+(496/117)*k1)*lambda^2+((3584/65-(41462/2925)*k1+(631/975)*k1^2)*S-(86/195)*k1^2+(956/117)*k1-8874/325)*lambda+((622/975)*k1^2-(20392/2925)*k1+1172/65)*S-2898/325+(11428/2925)*k1-(134/325)*k1^2)*R^2+(((6562/325)*S-92/13)*lambda^3+((-(6212/585)*k1+19234/325)*S-1312/65+(1822/585)*k1)*lambda^2+((-(58964/2925)*k1+18488/325+(378/325)*k1^2)*S-1244/65-(181/585)*k1^2+(17542/2925)*k1)*lambda+((212/195)*k1^2-(5552/585)*k1+5816/325)*S-392/65-(878/2925)*k1^2+(8432/2925)*k1)*R+(-3-(9481/325)*S^2+(248/13)*S)*lambda^3+((-27877/325+(488/39)*k1)*S^2+(3652/65-(4214/585)*k1)*S-9+(46/45)*k1)*lambda^2+(((23648/975)*k1-27164/325-(1198/975)*k1^2)*S^2+(3584/65-(41462/2925)*k1+(631/975)*k1^2)*S-(19/225)*k1^2+(92/45)*k1-9)*lambda+(-8768/325-(384/325)*k1^2+(3808/325)*k1)*S^2+((622/975)*k1^2-(20392/2925)*k1+1172/65)*S-3+(46/45)*k1-(19/225)*k1^2)*beta^2+(3*(1+lambda)^2*(lambda+1-(23/135)*k1)*R^4+(92/13*(1+lambda))*(lambda^2+(213/115-(911/4140)*k1)*lambda+98/115-(1054/5175)*k1)*R^3+((-(248/13)*S+2931/325)*lambda^3+(((2107/585)*k1-3652/65)*S+8907/325-(248/117)*k1)*lambda^2+((-3584/65+(20731/2925)*k1)*S+8874/325-(478/117)*k1-(4/975)*k1^2)*lambda+((10196/2925)*k1-1172/65)*S-(5714/2925)*k1+2898/325-(8/975)*k1^2)*R^2+((-(6562/325)*S+92/13)*lambda^3+(((3106/585)*k1-19234/325)*S-(911/585)*k1+1312/65)*lambda^2+((-18488/325+(29482/2925)*k1+(8/975)*k1^2)*S+1244/65-(8771/2925)*k1)*lambda+((2776/585)*k1-5816/325+(16/975)*k1^2)*S-(4216/2925)*k1+392/65)*R+(3-(248/13)*S+(9481/325)*S^2)*lambda^3+((-(244/39)*k1+27877/325)*S^2+((2107/585)*k1-3652/65)*S+9-(23/45)*k1)*lambda^2+((-(11824/975)*k1-(4/975)*k1^2+27164/325)*S^2+(-3584/65+(20731/2925)*k1)*S-(46/45)*k1+9)*lambda+(-(1904/325)*k1+8768/325-(8/975)*k1^2)*S^2+((10196/2925)*k1-1172/65)*S+3-(23/45)*k1)*beta-((1+lambda)*R^2+(6/5+(9/5)*lambda)*R+(-(19/5)*S+1)*lambda-(16/5)*S+1)*((1+lambda)*R^2+(158/195+(109/195)*lambda)*R+(-(499/195)*S+1)*lambda-(548/195)*S+1)*(1+lambda))*M^2/((R+2)^4*((lambda-(1/5)*k1+1)*beta-lambda-1)^2*((lambda-(1/9)*k1+1)*beta-lambda-1));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

